pico-8 cartridge // http://www.pico-8.com
version 35
__lua__
--micro mario world
--by barfy

--variables

function _init()
speedrun_mode = false
char = 0

menuitem(1, "mario/luigi😐", function() swapchar() sfx(2) end)
menuitem(2, "quit to title⌂", function() exitmenu() sfx(2) end)


won_game = false
timer = 0
anim_time=27
music(0)
palt(14, true)
palt(0, false)
player={
sp=1,
x=24,
y=100,
w=8,
h=8,
flp=false,
dx=0,
dy=0,
max_dx=2,
max_dy=3,
acc=0.3,
boost=4,
anim=0,
walking=false,
running=false,
jumping=false,
jumping2=false,
coins=0,
climbing = false
}

gravity=0.3
friction=0.85

--camera
cam_x=0

--map limits
map_start=0
map_end=1024

end

function swapchar()
if char==0 then
char = 3

elseif char==3 then
char = 0
end


end


function exitmenu()
load("mmw title")
end

function skiplevel()
load("mmw2")
end
-->8
--update and draw

function _update()





player_update()
player_animate()

if (timer<0) then
toggle_tiles()
timer=anim_time
end
timer-=1

cam_x=player.x-60
if cam_x<map_start then
cam_x=map_start
end

if cam_x>map_end-128 then
cam_x=map_end-128
end

camera(cam_x,0)
end

function _draw()
cls(0)
map(0,16)
map(0,0)
spr(player.sp,player.x,player.y,player.w/8,player.h/8,player.flp) show_inventory()

if(won_game == true)then



print("⧗: "..timee,invx+2,70,1)
print("⧗: "..timee,invx+2,69,9)
print("⧗: "..timee,invx+2,68,7)

end
end
-->8
--collisions

function collide_map(obj,aim,flag)
		--obj = table needs x,y,w,h
		--aim = left,right,up,down
		
		local x=obj.x  local y=obj.y
		local w=obj.w  local h=obj.h
		
		local x1=0  local y1=0
		local x2=0  local y2=0
		
		if aim=="left" then
		x1=x-1       y1=y
		x2=x			      y2=y+h-1
		elseif aim=="right" then
		x1=x+w-1     y1=y
		x2=x+w       y2=y+h-1
		elseif aim=="up" then
		x1=x+2       y1=y-1
		x2=x+w-3     y2=y
		elseif aim=="down" then
		x1=x+2         y1=y+h
		x2=x+w-3       y2=y+h
		elseif aim=="center" then
		x1=x+4         y1=y+4
		x2=x+4         y2=y+4
end

--pixels to tiles
x1/=8   y1/=8
x2/=8   y2/=8

if fget(mget(x1,y1), flag)
or fget(mget(x1,y2), flag)
or fget(mget(x2,y1), flag)
or fget(mget(x2,y2), flag) then
return true
else
return false
end
	end
	
	
function is_tile(tile_type,x,y)
tile=mget((player.x/8+0.4),y)
has_flag=fget(tile,tile_type)
return has_flag
end

	function get_coin(xl,yl)

	swap_tile(((player.x/8+0.4)),(player.y/8+0.1),0)
	
	
	end
	
	function swap_tile(x,y)

	tile=mget(1,(1))
	mset(x,y,0)
	end

	
	function break_block(x,y)

	tile=mget(1,(1))
	mset(x,y,100)
	player.coins+=1
	end
	
	function get_qb()

	swap_tile(((player.x/8+0.4)),(player.y/8)-1,tile+1)
	sfx(1,1)
	
	end
	
	function swap_tile(x,y,tileid)

	tile=mget(1,(1))
	mset(x,y,tileid)

	end
	


-->8
--player

function player_update()
--physics
player.dy+=gravity
player.dx*=friction

--controls
if btn(⬅️)then
player.dx-=player.acc
player.running=true
player.flp=true
end

if btn(➡️)then
player.dx+=player.acc
player.running=true
player.flp=falses
end

--slide
if player.running
and not btn(⬅️)
and not btn(➡️)
and not player.falling
and not player.jumping then
player.running=false
end

--jump
if btn(❎)
and player.landed then
sfx(0)

player.dy-=player.boost
player.landed=false
end

--collision up down
if player.dy>0 then
player.falling = true
player.landed = false
player.jumping = false



if(is_tile(5,0,player.y/8-0.2)) then
if(is_tile(3,0,player.y/8-0.2)) then
sfx(2,3)
player.coins+=10
player.dy = 1
get_qb()
end
end




--if(is_tile(2,0,player.y/8+0.4)) then

--get_coin(1,player.y/8+0.4)
--end

if(is_tile(3,0,player.y/8+0.2)) then
player.dy=0.2
player.sp=char+42
player.climbing = true
player.y -=0.2
gravity = 0


if btn(⬆️)then
player.y -= 2
end
if btn(⬇️)then
player.y += 2
end
if btn(➡️)then
player.dx = 1.7
end
if btn(⬅️)then
player.dx = -1.7
end
else
player.climbing = false
gravity = 0.3
end


if(is_tile(4,0,player.y/8+0.4)) then
die()

end

if(is_tile(2,0,player.y/8-0.15)) then
player.dy = 0
end


if(is_tile(5,0,player.y/8-0.2)) then
sfx(2,3)
player.coins+=1
player.dy = 1
get_qb()
end

if(is_tile(2,0,player.y/8+1)) then
gravity = 0.3
player.dy=-1.5

swap_tile(((player.x/8+0.4)),(player.y/8)+1,tile+1)

if player.x<88 and player.x>-1 then
swap_tile(11,10,65)
swap_tile(11,11,65)
swap_tile(11,12,65)
swap_tile(11,13,65)
sfx(19)
end
if player.x<144 and player.x>96 then
swap_tile(36,5,65)
swap_tile(36,6,65)
swap_tile(36,7,65)
swap_tile(36,8,65)
sfx(19)
end
if player.x<584 and player.x>544 then
swap_tile(69,9,65)
swap_tile(70,9,65)
swap_tile(71,9,65)
swap_tile(72,9,65)
swap_tile(73,9,65)
sfx(19)
end
if player.x<970 and player.x>930 then
timee = t()
won_game = true
load("mmwcomplete")


end
end







if collide_map(player,"down",0) then
	player.landed=true
	player.falling=false
	player.dy=0
	player.y-=(player.y+player.h)%8
end
elseif player.dy<0 then
player.jumping=true
if collide_map(player,"up",1)then
--sfx(1)
player.dy=0
end
end
--collision left right
if player.dx<0 then
if collide_map(player,"left",1) then
player.dx=0
end
elseif player.dx>0 then
if collide_map(player,"right",1) then
player.dx=0
end
end


player.x+=player.dx
player.y+=player.dy

--limit player to map
if player.x<map_start then
player.x=map_start
end
--win
if player.x>951  then
player.dy = 3
timee = t()
won_game = true


end

if player.y>140 then
die()
end

end


function player_animate()
if player.climbing == false then
 if player.jumping then
 player.sp=char+3
 elseif player.running then
 if time()-player.anim>.1 then
 player.anim=time()
 player.sp+=1
 if player.sp>char+2 then
 player.sp=char+1
		end
	end

else
player.sp = char+1
end

end
end

function die()
player.x=24
player.y=100
if speedrun_mode then
run()
end
sfx(16)
end




-->8
--inventory code

function show_inventory()
invx=(cam_x)+40
invy=0

spr(48,invx-40,0,1,1)
print("  "..player.coins,invx-39,invy+2,1)
print("  "..player.coins,invx-39,invy+1,8)
end
-->8
--animation code
function toggle_tiles()
for x=(player.x/8)-16,(player.x/8)+16 do
for y=0,16 do
if(this_tile(6,x,y))then
animate_tile(x,y)

elseif (this_tile(7,x,y)) then
revert_tile(x,y)

end
end
end
end

function animate_tile(x,y)
	tile=mget(x,y)
	mset(x,y,tile+1)
	end

function revert_tile(x,y)
	tile=mget(x,y)
	mset(x,y,tile-1)
	end
	
function this_tile(tile_type,x,y)
tile=mget(x,y)
has_flag=fget(tile,tile_type)
return has_flag
end


__gfx__
00000000eee8f8eeeee8f8eeeee8f8eeeeebfbeeeeebfbeeeeebfbeeeeeeeeeeeeeeeeee0000000000000000ee1111ee00000000ee1111ee0000000000000000
00000000ee82222eee82222eee82222eeeb3333eeeb3333eeeb3333eee1111eeeeeeeeee0000000000000000e167761e00000000e1d77d1e0000000000000000
00700700e8471feee8471feee8471feeeb471feeeb471feeeb471feee1777c1eeeeeeeee000000000000000016776671000000001d77dd710000000000000000
00077000e4fffffee4fffffee4fffffee4fffffee4fffffee4fffffe1c7cc7c1eeeeeeee00000000000000001776677100000000177dd7710000000000000000
00077000eef000eeeef000eeeef000eeeef000eeeef000eeeef000ee1c7777c1e111111e0000000000000000176677610000000017dd77d10000000000000000
00700700ee8caeeeee8ca2eee78caeeeeebcaeeeeebca2eee7bcaeee1c7cccc11cccccc1000000000000000016677661000000001dd77dd10000000000000000
00000000ee7cceeee47cc2eee4ccceeeee7cceeee47cc2eee4ccceee1111111111111111000000000000000016776671000000001d77dd710000000000000000
00000000ee442eeeee4eeeeeee42eeeeee442eeeee4eeeeeee42eeee176666d1176666d100000000000000001776677100000000177dd7710000000000000000
0000000000000000eeee8eeeeee8eeeeee8888eeee8888ee00000000eeeeee28eeeeeeee82eeeeee00000000176677610000000017dd77d10000000000000000
0000000000000000eeee8eeeeee8eeeeee87778ee87778ee00000000eeeeee28eeeeeeee82eeeeee0000000016677661000000001dd77dd10000000000000000
0000000000000000eee888eeee888eeeee8a77a88a77a8ee00000000eeeeee28eeeeeeee82eeeeee0000000016776671000000001d77dd710000000000000000
0000000000000000eee8888ee8888eeee8aaaaa88aaaaa8e00000000eeeeee28eeeeeeee82eeeeee000000001776677100000000177dd7710000000000000000
0000000000000000ee88988ee88988eee89aaa9889aaa98e00000000eeeeee28eeeeeeee82eeeeee00000000176677610000000017dd77d10000000000000000
0000000000000000e88999888899988ee899aa9889aa998e00000000eeeeee28eeeeeeee82eeeeee0000000016677661000000001dd77dd10000000000000000
0000000000000000889a99988999a9888999aa9889aa9998000000002222222822222222822222220000000016776671000000001d77dd710000000000000000
000000000000000089999a9889a999988999a998899a999800000000888888888888888888888888000000001776677100000000177dd7710000000000000000
00000000000000008999a998899a999889999a9889a9999800000000eeeeee285eeeeeed82eeeeeeeee88eee0000000000000000eeebbeee0000000000000000
00000000000000008999aa9889aa9998889a99988999a98800000000eeeeee28edeeeede82eeeeeeee8228ee0000000000000000eeb33bee0000000000000000
0000000000000000e899aa9889aa998ee88999888899988e00000000eeeeee28ee5ee5ee82eeeeeeee2222ee0000000000000000ee3333ee0000000000000000
0000000000000000e89aaa9889aaa98eee88988ee88988ee00000000eeeeee28eee5deee82eeeeeeee4444ee0000000000000000ee4444ee0000000000000000
0000000000000000e8aaaaa88aaaaa8eeee8888ee8888eee00000000eeeeee28eeed5eee82eeeeeeeef44fee0000000000000000eef44fee0000000000000000
0000000000000000ee8a77a88a77a8eeeee888eeee888eee00000000eeeeee28ee5ee5ee82eeeeeee78cc87e0000000000000000e7bccb7e0000000000000000
0000000000000000ee87778ee87778eeeeee8eeeeee8eeee00000000eeeeee28e5eeeede82eeeeeeeeecceee0000000000000000eeecceee0000000000000000
0000000000000000ee8888eeee8888eeeeee8eeeeee8eeee00000000eeeeee28deeeeee582eeeeeeeee44eee0000000000000000eee44eee0000000000000000
ee9999ee0000000011111111eeeeeeeeeeeeeeeeeeeeeeee00000000888888888888888888888888eeeeeeeeeeeeeeee00000000000000000000000000000000
e9aaaa9e000000001766d6d1eeeeeeeeeeeeeeeeeeeeeeee00000000222222282222222282222222eeeeeeeeeeeeeeee00000000000000000000000000000000
e9a99a9e00000000177dddd1eeeeeeeeeeeeeeeeeeeeeeee00000000eeeeee28eeeeeeee82eeeeeeee88eeeeeeeeeeee00000000000000000000000000000000
e9a99a9e0000000011111111eeeeeeeeeeeeeeeeeeeeeeee00000000eeeeee28eeeeeeee82eeeeeee9898a9eeeeeeeee00000000000000000000000000000000
e9a99a9e000000001766d6d1eeeeeeeeeeeeeeeeeeeeeeee00000000eeeeee28eeeeeeee82eeeeeee89a98eeeeeeeeee00000000000000000000000000000000
e9aaaa9e000000001766d6d1eeeeeeeeeeeeeeeeeeeeeeee00000000eeeeee28eeeeeeee82eeeeeeee878eeeeeeeeeee00000000000000000000000000000000
e199991e00000000177dddd1eeeeeeeeeeeeeeeeeeeeeeee00000000eeeeee28eeeeeeee82eeeeeeeeeeeeeeeeeeeeee00000000000000000000000000000000
ee1111ee0000000011111111eeeeeeeeeeeeeeeeeeeeeeee00000000eeeeee28eeeeeeee82eeeeeeeeeeeeeeeeeeeeee00000000000000000000000000000000
e111111eececccee000000001111111111111111ee11111111111111111111eee111111eeeeeddddddddeeeeeee11eee00000000000000000000000000000000
1cccccc1ceeeeeec0000000013bbb7bbbb3bbb31e1bbbbbbbbbbbbbbbbbbbb1e17666761eddd77777777dddeee1a91ee00000000000000000000000000000000
1cccccc1eeeeeeec0000000013bbb7bbbb3bb3311bbbb33333bbbb33333bbbb116676661d77777777777776dee1aa1ee00000000000000000000000000000000
11cccc11ceeeeeee0000000011111111111111111bbb3111113333111113bbb1167766d1d77777177177776de17aa91e00000000000000000000000000000000
1c1cc1c1ceeeeeec00000000e133bb7bb3b3b31e1111144444111199444111111d6666d1d77777177177776de1a7a91e00000000000000000000000000000000
1cccccc1ceeeeeec00000000e13bbb7bb3bb331e194444444494449944444491166dd6d1d66677077077666d17aa9a9100000000000000000000000000000000
1cccccc1eeeeeeec00000000e133bb7bb3bbb31e1944444444944444444444911dddddd1eddd66666666ddde1a79999100000000000000000000000000000000
e111111eecceccce00000000e13bbb7bb3bb331e194444444494444444444491e111111eeeeeddddddddeeee1111111100000000000000000000000000000000
111111111111111111111111e133bb7bb3bbb31e19444444444449444444449111111111e222222ee111111e1111111101010101010101010101010101010101
166116666661166666611661e13bbb7bb3bb331e194449944444494449944491177cccc124999942144444411a79999100000000000000000000000000000000
1dd11dddddd11dddddd11661e133bb7bb3b3b31e19444994444444444994449117ccccc1277997721444444117aa9a9110101010101010101010101010101010
1dd11dddddd11dddddd11dd1e13bbb7bb3bb331e1944499444444444499444911cc7ccc12979797211444411e1a7a91e01010101010101010101010101010101
111111111111111111111111e133bb7bb3bbb31e1944444444994444444444911ccccc712979797214144141e17aa91e10101010101010101010101010101010
166666611666666116666661e13bbb7bb3bb331e1944444444994444444444911cccc7712979779214444441ee1aa1ee11111111111111111111111111111111
1dddddd11dddddd11dddddd1e133bb7bb3b3b31e1944494444994444449444911ccc77712499994214444441ee1a91ee01010101010101010101010101010101
1dddddd11dddddd11dddddd1e13bbb7bb3bb331e19444944444444444494449111111111e222222ee111111eeee11eee11111111111111111111111111111111
111111111111111111111111e111111ee111111ee111111eeeeeeeeee111111ee111111eeeeeeeeee111111e8888888810101010101010101010101010101010
166116666661166666611661149779411444444114999941eeeeeeee1499994114444441eeeeeeee144444418888888811111111111111111111111111111111
1dd11dddddd11dddddd11dd1197997911444444119999991eeeeeeee1999999114444441eeeeeeee1444444188888888111111111111111eee11111111111111
1dd11dddddd11dddddd11dd1199977911144441119199191e111111e1919919111444411eeeeeeee114444118888888811111111111eeeeeeeeee11111111111
111111111111111111111111199779911414414119199191141991411919919114144141eeeeeeee1414414188888888111111e1eeeeeeeeeeeeeeee1e111111
166666611666666116666661199999911444444119999991e111111e1999999114444441eeeeeeee144444418888888811111eeeeeeeeeeeeeeeeeeeeee11111
1dddddd11dddddd11dddddd1149779411444444114999941eeeeeeee1499994114444441eeeeeeee144444418888888811111eeeeeeeeeeeeeeeeeeeeee11111
111111111111111111111111e111111ee111111ee111111eeeeeeeeee111111ee111111eeeeeeeeee111111e888888881111eeeeeeeeeeeeeeeeeeeeeeee1111
4411111111111144eeeeeeeeeeee5eee2eeeeee2eee22eee11111111e111111ee8e888eeeee44eeeeeeeeeeeeeeeeeee111eeeeeeeeeeeeeeeeeeeeeeeeee111
4166666666666614eeeeeeeeeee575ee22eeee28ee2822ee1cc77cc1188888818eeeeee8eee42eeeeeeeeeeeeee2eeee110eeeeeeeeeeeeeeeeeeeeeeeeeed11
1666611111166661eeeeeeeeee55555e822ee282e282222e1c7777c118888881eeeeeee8eee94eeeee2ee2ee2eeeeeee101eeeeeeeeeeeeeeeeeeeeeeeeee1d1
16661dddddd16661eeeeeeeeeed666de82222822e222222e17777771118888118eeeeeeeeee44eee2eee22222222ee2e110eeeeeeeeeeeeeeeeeeeeeeeeeed11
1661dddddddd1661eeeeeeee117616dd28222222e222222e17c77c71181881818eeeeee8eee44eee2222999999992222111eeeeeeeeeeeeeeeeeeeeeeeeee111
1661dddddddd1661eeee5eee177166dde222222ee222222e1cc77cc1188888818eeeeee8eee24eee9999898998989999110eeeeeeeeeeeeeeeeeeeeeeeeeed11
1661dddddddd1661eee575eeed7666dd9a22229a9a22229a1cc77cc118888881eeeeeee8eee44eee9898988888898989101eeeeeeeeeeeeeeeeeeeeeeeeee1d1
161dddddddddd161ee55555eeed766ddeea9a9eeeea9a9ee11111111e111111ee88e888eeee49eee8888888888888888110eeeeeeeeeeeeeeeeeeeeeeeeeed11
eeeeeeeee2e2eeeeeeeeeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeeeeee27272eeeeeeeeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeeeee292772eeeeeeeeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeee229777292eeeeeeeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeee29000779722eeeeeeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eee2207bbbb99992eeeeeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
ee29907bbbb297272eeeeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e29999999bb27972eeeeeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e209999999bb29972eeeeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
ee22707099b3333333eeeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeee2709973bb7bb773eeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeee22273b77bbbb73eeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeeeee273bb7b7bbb3eeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeee2229373bbb77bb73eeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eee2992bb3737bbbbbb3eeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eee27992bb7737bb7bb3eeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eee22222bb373bbb77b3eeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeeeee22227737bbb73eeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeeeee2999277333333eeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeeeeee29922777772eeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeeeeee29999222222eeeee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeeeee22299929999222eee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeeee2799999922299992ee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
eeeeee22222222eee2222eee00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__label__
669999dddddd66666666666666666666666666666666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666
69aaaa977888ddd66666666666666666666666666666666666666666666666666ddd77777777ddd6666666666666666666666666666666666666666666666666
d9a99a977818776d666666666666666666666666666666666666666666666666d77777777777776d666666666666666666666666666666666666666666666666
d9a99a977878776d666666666666666666666666666666666666666666666666d77777177177776d666666666666666666666666666666666666666666666666
d9a99a977878776d666666666666666666666666666666666666666666666666d77777177177776d666666666666666666666666666666666666666666666666
d9aaaa977888666d666666666666666666666666666666666666666666666666d66677077077666d666666666666666666666666666666666666666666666666
619999166111ddd66666666666666666666666666666666666666666666666666ddd66666666ddd6666666666666666666666666666666666666666666666666
661111dddddd66666666666666666666666666666666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666
6666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666666666666666dddddddd66666666666666666666
6666666666666666666666666ddd77777777ddd6666666666666666666666666666666666666666666666666666666666ddd77777777ddd66666666666666666
666666666666666666666666d77777777777776d66666666666666666666666666666666666666666666666666666666d77777777777776d6666666666666666
666666666666666666666666d77777177177776d66666666666666666666666666666666666666666666666666666666d77777177177776d6666666666666666
666666666666666666666666d77777177177776d66666666666666666666666666666666666666666666666666666666d77777177177776d6666666666666666
666666666666666666666666d66677077077666d66666666666666666666666666666666666666666666666666666666d66677077077666d6666666666666666
6666666666666666666666666ddd66666666ddd6666666666666666666666666666666666666666666666666666666666ddd66666666ddd66666666666666666
6666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666666666666666dddddddd66666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661111116
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666617666761
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666616676661
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666167766d1
6666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661d6666d1
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666166dd6d1
6666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661dddddd1
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661111116
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666611111166111111666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666149779411499994166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666197997911999999166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666199977911919919166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666199779911919919166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666199999911999999166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666149779411499994166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666611111166111111666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddd66666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddd66666666
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddd666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddddd66666
6666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddddddd6666
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddddddddd666
66666666666666666666666666666666666666666666666661111116666666666666666666666666666666666666666666dddddddddddddddddddddddddddd66
66666666666666666666666666666666666666666666666614999941666666666666666666666666666666666666666666dddddddddddddddddddddddddddd66
6666666666666666666666666666666666666666666ddddd1999999166666666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666666666dddddddd1919919166666666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
66666666666666666666666666666666666666dddddddddd19199191dd666666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666666ddddddddddd19999991ddd66666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
666666666666666666666666666666666666dddddddddddd14999941dddd6666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
66666666666666666666666666666666666dddddddddddddd111111dddddd666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666dddddddddddddddddddddddddddd66666666666611111111111111111111666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666dddddddddddddddddddddddddddd666666666661bbbbbbbbbbbbbbbbbbbb166dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666666661bbbb33333bbbb33333bbbb16dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666666661bbb3111113333111113bbb16dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666666dd1111144444111199444111116dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd666666ddd1944444444944499444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd66666dddd1944444444944444444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666ddddd1944444444944444444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd666dddddd1944444444444944444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd666dddddd1944499444444944499444916dddddddddddddddddddddddddddddd6
66666666666dddddddddd666666666666dddddddddddddddddddddddddddddd66ddddddd1944499444444444499444916dddddddddddddddddddddddddddddd6
66666666dddddddddddddddd666666666dddddddddddddddddddddddddddddd66ddddddd1944499444444444499444916dddddddddddddddddddddddddddddd6
666666dddddddddddddddddddd6666666dddddddddddddddddddddddddddddd66ddddddd1944444444994444444444916dddddddddddddddddddddddddddddd6
66666dddddddddddddddddddddd666666dddddddddddddddddddddddddddddd66ddddddd1944444444994444444444916dddddddddddddddddddddddddddddd6
6666dddddddddddddddddddddddd66666dddddddddddddddddddddddddddddd66ddddddd1944494444994444449444916dddddddddddddddddddddddddddddd6
666dddddddddddddddddddddddddd6666dddddddddddddddddddddddddddddd66ddddddd1944494444444444449444916dddddddddddddddddddddddddddddd6
66dddddddddddddddddddddddddddd666111111dd111111dd111111dddddddd66ddddddd1944444444444944444444916ddd5dddddddddddddddddddddddddd6
66dddddddddddddddddddddddddddd66149999411497794114999941ddddddd66ddddddd1944499444444944499444916dd575ddddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6199999911979979119999991ddddddd66ddddddd1944499444444444499444916d55555dddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6191991911999779119199191ddddddd66ddddddd1944499444444444499444916d49994dddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6191991911997799119199191ddddddd66ddddddd19444444449944444444449111791944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6199999911999999119999991ddddddd66ddddddd19444444449944444444449117719944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6149999411497794114999941ddddddd66ddddddd19444944449944444494449164799944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd66111111dd111111dd111111dddddddd66ddddddd1944494444444444449444916d479944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444444444449444411111111111111111111ddddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd194449944444494441bbbbbbbbbbbbbbbbbbbb1dddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bbbb33333bbbb33333bbbb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bbb3111113333111113bbb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444444449944441bb31999991111aa99913bb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444444449944441bb3199999a999aa99913bb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444944449944441bb3199999a9999999913bb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444944444444441b31999999a99999999913b1ddddddddddddddd6
6dddddddddddddddddddddddddd8f8d66dddddddddddddddddddddddddddddd66ddddddd19444444444449441b31999999999a99999913b1ddddddddddddddd6
6ddddddddddddddddddddddddd8222266dddddddddddddddddddddddddddddd66ddddddd19444994444449441b319aa999999a999aa913b1ddddddddddddddd6
6dddddddddddddddddddddddd8471fd66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bb31aa9999999999aa13bb1ddddddddddddddd6
6dddddddddddddddddddddddd4fffff66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bb31aa9999999999aa13bb1ddddddddddddddd6
6dddddddddddddddddddddddddf000d66dddddddddddddddddddddddddddddd66ddddddd19444444449944441bb3199999aa999999913bb1ddddddddddddddd6
6ddddddddddddddddddddddddd8cadd66dddddddddddddddddddddddddddddd66ddddddd19444444449944441b31999999aa9999999913b1ddddddddddddddd6
6ddddddddddddddddddddddddd7ccdd66dddddddddddddddddddddddddddddd66ddddddd19444944449944441b319a9999aa999999a913b1ddddddddddddddd6
6ddddddddddddddddddddddddd442dd66dddddddddddddddddddddddddddddd66ddddddd19444944444444441b319a999999999999a913b1ddddddddddddddd6
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
33bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb33
11333311113333111133331111333311113333111133331111333311113333111133331111333311113333111133331111333311113333111133331111333311
991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa
99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa
99a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99999
99a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99999
99999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99
99999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99
99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
99aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa9999
99aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa9999
99aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa9999
99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999

__gff__
00000000000000040000000000000000000050905090000000000000000000000000509050900800080000000000000040000300000090000000508000000000030010030301010103000010000000000303030303000000002b03100000000003030323030b0023032203000000000003034090509007438003509000000000
1010101000000000000000000000000010131010000000000000000000000000101010100000000000000000000000001010101000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__map__
515151515151515151515151515151515151515151515151515151516200000000000050515151515151515151515151620000000050616161515161616161616161616200181818181800005b5b0000181818180000505151515152000000505151520050515152000000000000000000790000000000005051515151515151
5151515151515151515151515151515151515151515151515151516200000000000000505151516161616161616161615b0000590060616161625b18181818181818005b272828282828290000181817282828282900505151515152000000505151520050515152000000000000000000790000000000005051515151515151
51515151515151515151515151515151515151515151515151516200000000000000005051516200000000003200000000000000000000005b0027282828282828282900272807282828290027282828282828282900767676767676000000606161620050515152000000000000000000790000000000005051515151515151
6161616161616161616151515161616161616161616161616162000000000000000000505162000000000000140000000000000000000000000027282828283937282900003838372828290027282828282839380000000000000000000000000000000060616162000000000000000048484800000000005051515151515151
0000000000000000000050515200000000181818181818181818181818000000000000606100000000000000250000000000000000000000000027282828281917281918181818172828290000383837282829000000000000000000181818181800000000000000000000000000000048484800000000005051515151515151
000000000000000000005051520000002728282828282828282828282829000000000000400000000000000000000000000000000000004b00002728282828282828282828742828282819181818181728282900004344000000002728282828282900000000000000000000000000005b5b5b00000000005051515151515151
0700000000000000000050515207000027282828282828282828282828290000000000004000001200001300000013000000000078505151515227282828282828282828282828282874282828282828282829000053540000000027282828282829000000130000000000000000000000000000000000005051515151515151
484800000000000000005051524848482728282828282828282828282829000000000000400000220000220000002300000000770050515151522728282828282828287428282828282828282828282828282900005354000000000038383838380000000023000000003b3b3a3a3a0000000000000000005051515151515151
000000000000000000005051525b5b000038372828287428282828282829000000000000404b0032007332007200320000007800005051515152272828393728282839383838383838383838383838383838000000535459000000000000000000000073003200000000003b3a3b003a80818200000000005051515151515151
00000000780000000000606162000000000027282828282828282828282900000000735051515151515151515151515151520000005051515152272828191728282829505240404040406161616151515151000000535400000000000000000000005051515151520000003a3b3b3a3b90919200000000005051515151515151
6763000000000000000000400000000000002728282828282828742828290000000050515151515151515151515151515152000000505151515227282828282828282950520000000000005b000060515151000000535400730000000000000000005051515151520000000000000000a0a1a200000000075051515151515151
00000000000000000000004000000000000027282828282828282828282900007250515151515151515151515151515151527a7b7a505151515227282828282874282950520000000000000059005b50515100000053544848000000000000000000505151515152000043440000000048484800000050515151515151515151
00000000000043440000004000000000000027282828282828282828282900005051515151515151515151515151515151526b6b6b50515151522728282828282828295052000063000000000000005051517a7b7a53547b7a7b7a7b7a7b7a7b7a7b5051515151527a7b53540000000048484800000050515151515151515151
000000000000535400004b400000004b000000383838383838383838380000505151515151515151515151515151515151526b6b6b505151515200383838383838380050524b0000000000000000005051516b6b6b53546b6b6b6b6b6b6b6b6b6b6b5051515151526b6b535400000000005b0000004850515151515151515151
515151515151515151515151515151515151527a7b7a7a7a7a7a7b7a7b5051515151515151515151515151515151515151526b6b6b50515151527a7b7a7b7a7b7a7b7a5051524b0000004b00004b505151516b6b6b53546b6b6b6b6b6b6b6b6b6b6b5051515151526b6b535400004b0000000000484850515151515151515151
515151515151515151515151515151515151526b6b6b6b6b6b6b6b6b6b5051515151515151515151515151515151515151526b6b6b50515151526b6b6b6b6b6b6b6b6b5051515151515151515151515151516b6b6b53546b6b6b6b6b6b6b6b6b6b6b5051515151526b6b53545151515151515151515150515151515151515151
5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f
5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f
5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f
5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f
5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f5c5d5e5f
6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f6c6d6e6f
7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f
7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f
7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f
7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f
7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f
7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f
7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f
7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f
7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f
7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f7c7d7e7f
__sfx__
0104000024071280612b0412d0312d0212d0112d0012d0012d0012d0002d0002d0002a00029000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
100300000b1700c1700c1600915006140051300213000110001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100
010200002f0762f0762f05633006350763507635076350663505635036350262f0063400634006340063400634006340063400000000000000000000000000000000000000000000000000000000000000000000
1011000005402204002040020400204002040020400204001d4021d4001d4001d4000547205450054400543007472074500744007430074220741007410074001d4001d4001d4001d4001d4001d4001d4001d400
10110000291552915529155291552915529155291552915529155291552915529155291552915529155291552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b155
1011000020372203502035020340203302032020310203101d3721d3501d3401d330183721835018340183301a3721a3501a3401a3301d3721d3501d3501d3401d3401d3301d3301d3201d3201d3101d3101d310
101100002c1552c1552c1552c1552c1552c1552c1552c1552c1552c1552c1552c1552c1552c1552c1552c1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b1552b155
000e0000006750060500605006053662536605006050060500675006050060500605366250060500605006050067500605006051d605376250060500605006050067500605006750060537625006050065536625
1011000020302203002030020300183721835018340183301d3721d3501d3401d3302437224350243402433020372203602035020340203302032020310203101f3721f3601f3501f3401f3301f3201f3101f310
1011000013400204002040020400204002040020400204001d4021d4001d4001d4001147211450114401143013472134501344013430054420544005440054400744007440074400744011470114501144011430
101100001345013450134501345005450054500545005450074520745007450074501147211450114401143013472134501344013430144721445014440144301247012450124401243013470134501344013430
1011000013450134501345013440134401344013430134301343213420134201342013412134101341013410294702646023470204601f4701d4601a470184600747007460074500745007440074400743007420
100c00181877013750187501b770187501b7501f7701b7501f750247701f75024750277702475027750247701f750247501f7701b7501f7501b770187501b7500070000700007000070000700007000070000700
10110000291552915529155291552915529155291552915529155291552915529155051050510505105051050710507105071050710507105071050710507105071050710507105071050710507105071052b105
100c00181877015750187501b770187501b750217701b75021750247702175024750277702475027750247702175024750217701b7501e7501b770187501b7500070000700007000070000700007000070000700
100c00181877014750187501d770187501d750207701d75020750247702075024750297702475029750247702075024750207701d750207501d770187501d7500070000700007000070000700007000070000700
0c0100003c6703b660390603706034660310602e0502a0502a65025050220401f6401c0401a030170301662012020100200f6100c0100a0100701005610040100101000010000000000000000000000000000000
0002000015170141701317013170131601315015150171601a1601d1501e1401d1501b14019130191201b1101c1101c1101b11018110151100000000000000000000000000000000000000000000000000000000
00050000356702866021660166500b640295502955029550295502655024550225501d5501d550225502455026550285502955029550295402953029520005000050000500005000050000500005000050000500
00050000356702866021660166500b640295002950029500295002650024500225001d5001d500225002450026500285002950029500295002950029500005000050000500005000050000500005000050000500
100c00181a770177501a7501d7701a7501d750237701d75023750267702375026750297702675029750267702375026750237701d750237501d7701a7501d7500070000700007000070000700007000070000700
100900001a100151001a1001b100181001b100211001b100211002410021100241002910029100241002110024100211001b1001e1001b100181001b100000000000000000000000000000000000000000000000
100c00180047000470004600046000450004400044000430004300042000420004100047000470004600046000450004400044000430004300042000420004100040000400004000040000400004000040000400
100c00180647006470064600646006450064400644006430064300642006420064100647006470064600646006450064400644006430064300642006420064100040000400004000040000400004000040000400
100c00180547005470054600546005450054400544005430054300542005420054100547005470054600546005450054400544005430054300542005420054100040000400004000040000400004000040000400
100c00180747007470074600746007450074400744007430074300742007420074100747007470074600746007450074400744007430074300742007420074100040000400004000040000400004000040000400
100c00180047000470004700047000470004701847018470184701847018470184700047000470004700047000470004700047000470004700047000470004700047000470004700045000450004000040000400
100c00180647006470064700647006470064701e4701e4701e4701e4701e4701e4700647006470064700647006470064700647006470064700647006470064700047000470004700040000400004000040000400
100c00180547005470054700547005470054701d4701d4701d4701d4701d4701d4700547005470054700547005470054700547005470054700547005470054700047000470004700040000400004000040000400
100c00180747007470074700747007470074701f4701f4701f4701f4701f4701f4700747007470074700747007470074700747007470074700747007470074700047000470004700040000400004000040000400
100c00182747027460274502745027440274402743027430274302742027410274102447024450244402443024420244101f4701f4501f4401f4301f4201f4100040000400004000040000400004000040000400
100c00181e4701e4601e4401e4301e4201e4102447024470244602445024450244502444024440244402443024430244302442024420244202441024410244100040000400004000040000400004000040000400
100c00182740027400274002740027400274002047020460204502044020430204202447024450244402443024420244102b4702b4602b4502b4302b4202b4102b40000400004000040000400004000040000400
100c00182747027470274602745027440274402743027430274202742027410274102647026470264602645026440264402643026430264202642026410264100040000400004000040000400004000040000400
100c00182740027400274002740027400274002447024460244502444024430244202b4702b4502b4402b4302b4202b4103047030460304503043030420304102d40000400004000040000400004000040000400
100c00182c4702c4702c4602c4502c4402c4402c4302c4302c4202c4202c4102c4102b4702b4702b4602b4502b4402b4402b4302b4302b4202b4202b4102b4102940000400004000040000400004000040000400
100c00182740027400274002740027400274001f4701f4601f4501f4401f4301f4202647026450264402643026420264102b4702b4602b4502b4302b4202b4102d40000400004000040000400004000040000400
100c00182947029470294602945029440294402943029430294202942029410294102747027470274602745027440274402743027430274202742027410274102940000400004000040000400004000040000400
100c00182740027400274002740027400274002747027460274502744027430274202647026450264402643026420264102447024460244502443024420244102d40000400004000040000400004000040000400
100c00182647026470264602645026440264402643026430264202642026410264102147021470214602145021440214402143021430214202142021410214102940000400004000040000400004000040000400
100c00182740027400274002740027400274002647026460264502644026430264202447024450244402443024420244102647026460264502643026420264102d40000400004000040000400004000040000400
100c00182747027470274602745027440274402743027430274202742027410274102647026470264602645026440264402643026430264202642026410264102940000400004000040000400004000040000400
100c00181a770157501a7501e7701a7501e750217701e75021750247702175024750267702175026750217701e750217501e7701a7501e7501a770157501a7500070000700007000070000700007000070000700
100c00181b770187501b7501f7701b7501f750247701f750247502777024750277502b770277502b750277702475027750247701f750247501f7701b7501f7500070000700007000070000700007000070000700
100c00181a770177501a7501d7701a7501d750237701d75023750267702375026750297702675029750267702375026750237701d750237501d7701a7501d7500070000700007000070000700007000070000700
100c00181a770177501a7501f7701a7501f750237701f750237502677023750267502b770267502b750267702375026750237701f750237501f7701a7501f7500070000700007000070000700007000070000700
110c00180847008470084600846008450084400844008430084300842008420084100847008470084600846008450084400844008430084300842008420084100040000400004000040000400004000040000400
110c00180e4700e4700e4600e4600e4500e4400e4400e4300e4300e4200e4200e4100e4700e4700e4600e4600e4500e4400e4400e4300e4300e4200e4200e4100e1500e1500e1500040000400004000040000400
110c00180747007470074600746007450074400744007430074300742007420074100747007470074600746007450074400744007430074300742007420074100715007150071500715007150071500715007150
110c00180c4700c4700c4600c4600c4500c4400c4400c4300c4300c4200c4200c4100c4700c4700c4600c4600c4500c4400c4400c4300c4300c4200c4200c4100c1500c1500c1500c1500c1500c1500c15000400
110c00180947009470094600946009450094400944009430094300942009420094100947009470094600946009450094400944009430094300942009420094100915009150004000040000400004000040000400
110c00180247002470024600246002450024400244002430024300242002420024100247002470024600246002450024400244002430024300242002420024100215002150021500040000400004000040000400
__music__
01 45040344
00 45060344
00 05040344
00 08060344
00 45040344
00 45060344
00 05040344
00 08060344
01 450d0944
00 45460a44
00 450b4b44
01 150c164c
00 150e1744
00 150f1844
00 15141944
00 150c1a4c
00 150e1b44
00 150f1c44
00 15141d44
00 150c161e
00 150e171f
00 150f1820
00 15141921
00 150c1a4c
00 150e1b44
00 150f1c44
00 15141d44
00 150c161e
00 150e171f
00 150f1820
00 15141921
00 152b2e22
00 152c2f23
00 152d3024
00 15143125
00 150c3226
00 152a1727
00 150f3328
02 15143029

