pico-8 cartridge // http://www.pico-8.com
version 35
__lua__
--micro mario world
--by barfy

--variables

function _init()
speedrun_mode = false
char = 0

menuitem(1, "mario/luigi😐", function() swapchar() sfx(2) end)
menuitem(2, "quit to title⌂", function() exitmenu() sfx(2) end)
menuitem(3, "skip level➡️", function() skiplevel() sfx(2) end)

won_game = false
timer = 0
anim_time=27
music(0)
palt(14, true)
palt(0, false)
player={
sp=1,
x=24,
y=100,
w=8,
h=8,
flp=false,
dx=0,
dy=0,
max_dx=2,
max_dy=3,
acc=0.3,
boost=4,
anim=0,
walking=false,
running=false,
jumping=false,
jumping2=false,
coins=0
}

gravity=0.3
friction=0.85

--camera
cam_x=0

--map limits
map_start=0
map_end=1024

end

function swapchar()
if char==0 then
char = 3

elseif char==3 then
char = 0
end


end


function exitmenu()
load("mmw title")
end

function skiplevel()
load("mmw2")
end
-->8
--update and draw

function _update()



if (won_game == true) then
player.y =-200
player.dy=0

if btnp(❎)then
load("mmw2")

elseif btnp(🅾️)then
run()
end

end

player_update()
player_animate()

if (timer<0) then
toggle_tiles()
timer=anim_time
end
timer-=1

cam_x=player.x-60
if cam_x<map_start then
cam_x=map_start
end

if cam_x>map_end-128 then
cam_x=map_end-128
end

camera(cam_x,0)
end

function _draw()
cls(6)
map(0,16)
map(0,0)
spr(player.sp,player.x,player.y,player.w/8,player.h/8,player.flp) show_inventory()

if(won_game == true)then

print("you win!",invx+9,50,7)
print("you win!",invx+9,49,9)
print("you win!",invx+9,48,1)

print("⧗: "..timee,invx+2,70,7)
print("⧗: "..timee,invx+2,69,9)
print("⧗: "..timee,invx+2,68,1)

print("❎:next level",invx+2,79,8)
print("❎:next level",invx+2,78,1)
print("🅾️:replay",invx+2,86,8)
print("🅾️:replay",invx+2,85,1)

end
end
-->8
--collisions

function collide_map(obj,aim,flag)
		--obj = table needs x,y,w,h
		--aim = left,right,up,down
		
		local x=obj.x  local y=obj.y
		local w=obj.w  local h=obj.h
		
		local x1=0  local y1=0
		local x2=0  local y2=0
		
		if aim=="left" then
		x1=x-1       y1=y
		x2=x			      y2=y+h-1
		elseif aim=="right" then
		x1=x+w-1     y1=y
		x2=x+w       y2=y+h-1
		elseif aim=="up" then
		x1=x+2       y1=y-1
		x2=x+w-3     y2=y
		elseif aim=="down" then
		x1=x+2         y1=y+h
		x2=x+w-3       y2=y+h
		elseif aim=="center" then
		x1=x+4         y1=y+4
		x2=x+4         y2=y+4
end

--pixels to tiles
x1/=8   y1/=8
x2/=8   y2/=8

if fget(mget(x1,y1), flag)
or fget(mget(x1,y2), flag)
or fget(mget(x2,y1), flag)
or fget(mget(x2,y2), flag) then
return true
else
return false
end
	end
	
	
function is_tile(tile_type,x,y)
tile=mget((player.x/8+0.4),y)
has_flag=fget(tile,tile_type)
return has_flag
end

	function get_coin(xl,yl)

	swap_tile(((player.x/8+0.4)),(player.y/8+0.1),0)
	
	
	end
	
	function swap_tile(x,y)

	tile=mget(1,(1))
	mset(x,y,0)
	end

	
	function break_block(x,y)

	tile=mget(1,(1))
	mset(x,y,100)
	player.coins+=1
	end
	
	function get_qb()

	swap_tile(((player.x/8+0.4)),(player.y/8)-1,tile+1)
	sfx(1,1)
	
	end
	
	function swap_tile(x,y,tileid)

	tile=mget(1,(1))
	mset(x,y,tileid)

	end
	


-->8
--player

function player_update()
--physics
player.dy+=gravity
player.dx*=friction

--controls
if btn(⬅️)then
player.dx-=player.acc
player.running=true
player.flp=true
end

if btn(➡️)then
player.dx+=player.acc
player.running=true
player.flp=falses
end

--slide
if player.running
and not btn(⬅️)
and not btn(➡️)
and not player.falling
and not player.jumping then
player.running=false
end

--jump
if btn(❎)
and player.landed then
sfx(0)

player.dy-=player.boost
player.landed=false
end

--collision up down
if player.dy>0 then
player.falling = true
player.landed = false
player.jumping = false



if(is_tile(5,0,player.y/8-0.2)) then
if(is_tile(3,0,player.y/8-0.2)) then
sfx(2,3)
player.coins+=10
player.dy = 1
get_qb()
end
end

--if(is_tile(2,0,player.y/8+0.4)) then

--get_coin(1,player.y/8+0.4)
--end

if(is_tile(3,0,player.y/8-0.2)) then
get_qb()
end


if(is_tile(4,0,player.y/8+0.4)) then
die()

end



if(is_tile(5,0,player.y/8-0.2)) then
sfx(2,3)
player.coins+=1
player.dy = 1
get_qb()
end

if(is_tile(2,0,player.y/8+0.5)) then
sfx(17)
player.dy = -6
end







if collide_map(player,"down",0) then
	player.landed=true
	player.falling=false
	player.dy=0
	player.y-=(player.y+player.h)%8
end
elseif player.dy<0 then
player.jumping=true
if collide_map(player,"up",1)then
--sfx(1)
player.dy=0
end
end
--collision left right
if player.dx<0 then
if collide_map(player,"left",1) then
player.dx=0
end
elseif player.dx>0 then
if collide_map(player,"right",1) then
player.dx=0
end
end


player.x+=player.dx
player.y+=player.dy

--limit player to map
if player.x<map_start then
player.x=map_start
end
if player.x>984  then
timee = t()
won_game = true
sfx(18)
music(-1)
player.dy=-40
player.dx=-75
invx=(cam_x)+40

end

if player.y>140 then
die()
end

end


function player_animate()
 if player.jumping then
 player.sp=char+3
 elseif player.running then
 if time()-player.anim>.1 then
 player.anim=time()
 player.sp+=1
 if player.sp>char+2 then
 player.sp=char+1
		end
	end

else
player.sp = char+1
end

end

function die()
player.x=24
player.y=100
if speedrun_mode then
run()
end
sfx(16)
end




-->8
--inventory code

function show_inventory()
invx=(cam_x)+40
invy=0

spr(48,invx-40,0,1,1)
print("  "..player.coins,invx-39,invy+2,1)
print("  "..player.coins,invx-39,invy+1,8)
end
-->8
--animation code
function toggle_tiles()
for x=(player.x/8)-16,(player.x/8)+16 do
for y=0,16 do
if(this_tile(6,x,y))then
animate_tile(x,y)

elseif (this_tile(7,x,y)) then
revert_tile(x,y)

end
end
end
end

function animate_tile(x,y)
	tile=mget(x,y)
	mset(x,y,tile+1)
	end

function revert_tile(x,y)
	tile=mget(x,y)
	mset(x,y,tile-1)
	end
	
function this_tile(tile_type,x,y)
tile=mget(x,y)
has_flag=fget(tile,tile_type)
return has_flag
end


__gfx__
00000000eee8f8eeeee8f8eeeee8f8eeeeebfbeeeeebfbeeeeebfbee00000000000000000000000000000000ee1111ee00000000ee1111ee0000000000000000
00000000ee82222eee82222eee82222eeeb3333eeeb3333eeeb3333e00000000000000000000000000000000e167761e00000000e1d77d1e0000000000000000
00700700e8471feee8471feee8471feeeb471feeeb471feeeb471fee0000000000000000000000000000000016776671000000001d77dd710000000000000000
00077000e4fffffee4fffffee4fffffee4fffffee4fffffee4fffffe000000000000000000000000000000001776677100000000177dd7710000000000000000
00077000eef000eeeef000eeeef000eeeef000eeeef000eeeef000ee00000000000000000000000000000000176677610000000017dd77d10000000000000000
00700700ee8caeeeee8ca2eee78caeeeeebcaeeeeebca2eee7bcaeee0000000000000000000000000000000016677661000000001dd77dd10000000000000000
00000000ee7cceeee47cc2eee4ccceeeee7cceeee47cc2eee4ccceee0000000000000000000000000000000016776671000000001d77dd710000000000000000
00000000ee442eeeee4eeeeeee42eeeeee442eeeee4eeeeeee42eeee000000000000000000000000000000001776677100000000177dd7710000000000000000
0000000000000000999aaaaa999aaaaa999aaaaa000000000000000000000000000000000000000000000000176677610000000017dd77d10000000000000000
000000000000000099aaaaa999aaaaa999aaaaa900000000000000000000000000000000000000000000000016677661000000001dd77dd10000000000000000
00000000000000009aaaaa999aaaaa999aaaaa9900000000000000000000000000000000000000000000000016776671000000001d77dd710000000000000000
0000000000000000aaaaa999aaaaa999aaaaa9990000000000000000000000000000000000000000000000001776677100000000177dd7710000000000000000
0000000000000000aaaa999aaaaa999aaaaa999a000000000000000000000000000000000000000000000000176677610000000017dd77d10000000000000000
0000000000000000aaa999aaaaa999aaaaa999aa00000000000000000000000000000000000000000000000016677661000000001dd77dd10000000000000000
0000000000000000aa999aaaaa999aaaaa999aaa00000000000000000000000000000000000000000000000016776671000000001d77dd710000000000000000
0000000000000000a999aaaaa999aaaaa999aaaa0000000000000000000000000000000000000000000000001776677100000000177dd7710000000000000000
00000000000000008888888844111144888888880000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000008888888841111114888888880000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000008888888811177111888888880000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000008888888871777717888888880000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000008888888817177171888888880000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000008888888811111111888888880000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000008888888841111114888888880000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000008888888844111144888888880000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
ee9999ee00000000999aaaaa999aaaaa999aaaaa0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e9aaaa9e0000000099aaaaa999aaaaa999aaaaa90000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e9a99a9e000000009aaaaa999aaaaa999aaaaa990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e9a99a9e00000000aaaaa999aaaaa999aaaaa9990000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e9a99a9e00000000aaaa999aaaaa999aaaaa999a0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e9aaaa9e00000000aaa999aaaaa999aaaaa999aa0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
e199991e00000000aa999aaaaa999aaaaa999aaa0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
ee1111ee00000000a999aaaaa999aaaaa999aaaa0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
ee11111111111111111111ee1111111111111111ee11111111111111111111eee111111eeeeeddddddddeeee00000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
e1bbbbbbbbbbbbbbbbbbbb1e13bbb7bbbb3bbb31e1bbbbbbbbbbbbbbbbbbbb1e17666761eddd77777777ddde00000000eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
1bbbb33333bbbb33333bbbb113bbb7bbbb3bb3311bbbb33333bbbb33333bbbb116676661d77777777777776d00000000eeeeeeeeeeeddddddddddeeeeeeeeeee
1bbb3111113333111113bbb111111111111111111bbb3111113333111113bbb1167766d1d77777177177776d00000000eeeeeeeeddddddddddddddddeeeeeeee
1bb31999991111aa99913bb1e133bb7bb3b3b31e1111144444111199444111111d6666d1d77777177177776d00000000eeeeeeddddddddddddddddddddeeeeee
1bb3199999a999aa99913bb1e13bbb7bb3bb331e194444444494449944444491166dd6d1d66677077077666d00000000eeeeeddddddddddddddddddddddeeeee
1bb3199999a9999999913bb1e133bb7bb3bbb31e1944444444944444444444911dddddd1eddd66666666ddde00000000eeeeddddddddddddddddddddddddeeee
1b31999999a99999999913b1e13bbb7bb3bb331e194444444494444444444491e111111eeeeeddddddddeeee00000000eeeddddddddddddddddddddddddddeee
1b31999999999a99999913b1e133bb7bb3bbb31e194444444444494444444491eeeeeeeee222222ee111111e00000000eeddddddddddddddddddddddddddddee
1b319aa999999a999aa913b1e13bbb7bb3bb331e194449944444494449944491eeeeeeee249999421444444100000000eeddddddddddddddddddddddddddddee
1bb31aa9999999999aa13bb1e133bb7bb3b3b31e194449944444444449944491eeeeeeee277997721444444100000000edddddddddddddddddddddddddddddde
1bb31aa9999999999aa13bb1e13bbb7bb3bb331e194449944444444449944491eeeeeeee297979721144441100000000edddddddddddddddddddddddddddddde
1bb3199999aa999999913bb1e133bb7bb3bbb31e194444444499444444444491e11ee11e297979721414414100000000edddddddddddddddddddddddddddddde
1b31999999aa9999999913b1e13bbb7bb3bb331e19444444449944444444449117b117b1297977921444444100000000edddddddddddddddddddddddddddddde
1b319a9999aa999999a913b1e133bb7bb3b3b31e1944494444994444449444911b311b31249999421444444100000000edddddddddddddddddddddddddddddde
1b319a999999999999a913b1e13bbb7bb3bb331e194449444444444444944491e11ee11ee222222ee111111e00000000edddddddddddddddddddddddddddddde
1b31999999a99999999913b1e111111ee111111ee111111eeeeeeeeee111111ee111111eeeeeeeeee111111e00000000edddddddeeeeeeeeddddddddddddddde
1bb3199999a9999999913bb1149779411444444114999941eeeeeeee1499994114444441eeeeeeee1444444100000000edddddddeeeeeeeeddddddddddddddde
1bb3199999a999aa99913bb1197997911444444119999991eeeeeeee1999999114444441eeeeeeee1444444100000000edddddddeeeeeeeeddddddddddddddde
1bb31999991111aa99913bb1199977911144441119199191e111111e1919919111444411eeeeeeee1144441100000000edddddddeeeeeeeeddddddddddddddde
1bbb3111113333111113bbb1199779911414414119199191141991411919919114144141eeeeeeee1414414100000000edddddddeeeeeeeeddddddddddddddde
1bbbb33333bbbb33333bbbb1199999911444444119999991e111111e1999999114444441eeeeeeee1444444100000000edddddddeeeeeeeeddddddddddddddde
e1bbbbbbbbbbbbbbbbbbbb1e149779411444444114999941eeeeeeee1499994114444441eeeeeeee1444444100000000edddddddeeeeeeeeddddddddddddddde
ee11111111111111111111eee111111ee111111ee111111eeeeeeeeee111111ee111111eeeeeeeeee111111e00000000edddddddeeeeeeeeddddddddddddddde
4411111111111144eeeeeeeeeeee5eee0eeeeee0eee00eee999913b11bb3199999999999999999990000000000000000eddddddd0000000000000000ddddddde
41bbbbbbbbbbbb14eeeeeeeeeee575ee00eeee01ee0100ee999913bbbb33199999999999999999990000000000000000eddddddd0000000000000000ddddddde
1bbbb333333bbbb1eeeeeeeeee55555e100ee010e010000e9999133b3331999999999999999999990000000000000000eddddddd0000000000000000ddddddde
1bbb31111113bbb1eeeeeeeeee49994e10000100e000000e999991331119999911999999999999990000000000000000eddddddd0000000000000000ddddddde
1bb3199999913bb1eeeeeeee1179194401000000e000000e999999119999999933199999999991110000000000000000eddddddd0000000000000000ddddddde
1bb3199999913bb1eeee5eee17719944e000000ee000000e9999999999999999b3319999999913330000000000000000eddddddd0000000000000000ddddddde
1bb3199999913bb1eee575eee47999449a00009a9a00009a9999999999999999bb319999999133bb0000000000000000eddddddd0000000000000000ddddddde
1b319999999913b1ee55555eee479944eea9a9eeeea9a9ee99999999999999991b31999999913bb10000000000000000eddddddd0000000000000000ddddddde
__label__
669999dddddd66666666666666666666666666666666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666
69aaaa977888ddd66666666666666666666666666666666666666666666666666ddd77777777ddd6666666666666666666666666666666666666666666666666
d9a99a977818776d666666666666666666666666666666666666666666666666d77777777777776d666666666666666666666666666666666666666666666666
d9a99a977878776d666666666666666666666666666666666666666666666666d77777177177776d666666666666666666666666666666666666666666666666
d9a99a977878776d666666666666666666666666666666666666666666666666d77777177177776d666666666666666666666666666666666666666666666666
d9aaaa977888666d666666666666666666666666666666666666666666666666d66677077077666d666666666666666666666666666666666666666666666666
619999166111ddd66666666666666666666666666666666666666666666666666ddd66666666ddd6666666666666666666666666666666666666666666666666
661111dddddd66666666666666666666666666666666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666
6666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666666666666666dddddddd66666666666666666666
6666666666666666666666666ddd77777777ddd6666666666666666666666666666666666666666666666666666666666ddd77777777ddd66666666666666666
666666666666666666666666d77777777777776d66666666666666666666666666666666666666666666666666666666d77777777777776d6666666666666666
666666666666666666666666d77777177177776d66666666666666666666666666666666666666666666666666666666d77777177177776d6666666666666666
666666666666666666666666d77777177177776d66666666666666666666666666666666666666666666666666666666d77777177177776d6666666666666666
666666666666666666666666d66677077077666d66666666666666666666666666666666666666666666666666666666d66677077077666d6666666666666666
6666666666666666666666666ddd66666666ddd6666666666666666666666666666666666666666666666666666666666ddd66666666ddd66666666666666666
6666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666666666666666dddddddd66666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661111116
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666617666761
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666616676661
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666167766d1
6666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661d6666d1
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666166dd6d1
6666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661dddddd1
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661111116
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666611111166111111666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666149779411499994166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666197997911999999166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666199977911919919166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666199779911919919166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666199999911999999166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666149779411499994166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666611111166111111666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddd66666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddd66666666
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddd666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddddd66666
6666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddddddd6666
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddddddddd666
66666666666666666666666666666666666666666666666661111116666666666666666666666666666666666666666666dddddddddddddddddddddddddddd66
66666666666666666666666666666666666666666666666614999941666666666666666666666666666666666666666666dddddddddddddddddddddddddddd66
6666666666666666666666666666666666666666666ddddd1999999166666666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666666666dddddddd1919919166666666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
66666666666666666666666666666666666666dddddddddd19199191dd666666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666666ddddddddddd19999991ddd66666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
666666666666666666666666666666666666dddddddddddd14999941dddd6666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
66666666666666666666666666666666666dddddddddddddd111111dddddd666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666dddddddddddddddddddddddddddd66666666666611111111111111111111666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666dddddddddddddddddddddddddddd666666666661bbbbbbbbbbbbbbbbbbbb166dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666666661bbbb33333bbbb33333bbbb16dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666666661bbb3111113333111113bbb16dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666666dd1111144444111199444111116dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd666666ddd1944444444944499444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd66666dddd1944444444944444444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666ddddd1944444444944444444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd666dddddd1944444444444944444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd666dddddd1944499444444944499444916dddddddddddddddddddddddddddddd6
66666666666dddddddddd666666666666dddddddddddddddddddddddddddddd66ddddddd1944499444444444499444916dddddddddddddddddddddddddddddd6
66666666dddddddddddddddd666666666dddddddddddddddddddddddddddddd66ddddddd1944499444444444499444916dddddddddddddddddddddddddddddd6
666666dddddddddddddddddddd6666666dddddddddddddddddddddddddddddd66ddddddd1944444444994444444444916dddddddddddddddddddddddddddddd6
66666dddddddddddddddddddddd666666dddddddddddddddddddddddddddddd66ddddddd1944444444994444444444916dddddddddddddddddddddddddddddd6
6666dddddddddddddddddddddddd66666dddddddddddddddddddddddddddddd66ddddddd1944494444994444449444916dddddddddddddddddddddddddddddd6
666dddddddddddddddddddddddddd6666dddddddddddddddddddddddddddddd66ddddddd1944494444444444449444916dddddddddddddddddddddddddddddd6
66dddddddddddddddddddddddddddd666111111dd111111dd111111dddddddd66ddddddd1944444444444944444444916ddd5dddddddddddddddddddddddddd6
66dddddddddddddddddddddddddddd66149999411497794114999941ddddddd66ddddddd1944499444444944499444916dd575ddddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6199999911979979119999991ddddddd66ddddddd1944499444444444499444916d55555dddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6191991911999779119199191ddddddd66ddddddd1944499444444444499444916d49994dddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6191991911997799119199191ddddddd66ddddddd19444444449944444444449111791944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6199999911999999119999991ddddddd66ddddddd19444444449944444444449117719944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6149999411497794114999941ddddddd66ddddddd19444944449944444494449164799944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd66111111dd111111dd111111dddddddd66ddddddd1944494444444444449444916d479944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444444444449444411111111111111111111ddddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd194449944444494441bbbbbbbbbbbbbbbbbbbb1dddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bbbb33333bbbb33333bbbb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bbb3111113333111113bbb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444444449944441bb31999991111aa99913bb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444444449944441bb3199999a999aa99913bb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444944449944441bb3199999a9999999913bb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444944444444441b31999999a99999999913b1ddddddddddddddd6
6dddddddddddddddddddddddddd8f8d66dddddddddddddddddddddddddddddd66ddddddd19444444444449441b31999999999a99999913b1ddddddddddddddd6
6ddddddddddddddddddddddddd8222266dddddddddddddddddddddddddddddd66ddddddd19444994444449441b319aa999999a999aa913b1ddddddddddddddd6
6dddddddddddddddddddddddd8471fd66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bb31aa9999999999aa13bb1ddddddddddddddd6
6dddddddddddddddddddddddd4fffff66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bb31aa9999999999aa13bb1ddddddddddddddd6
6dddddddddddddddddddddddddf000d66dddddddddddddddddddddddddddddd66ddddddd19444444449944441bb3199999aa999999913bb1ddddddddddddddd6
6ddddddddddddddddddddddddd8cadd66dddddddddddddddddddddddddddddd66ddddddd19444444449944441b31999999aa9999999913b1ddddddddddddddd6
6ddddddddddddddddddddddddd7ccdd66dddddddddddddddddddddddddddddd66ddddddd19444944449944441b319a9999aa999999a913b1ddddddddddddddd6
6ddddddddddddddddddddddddd442dd66dddddddddddddddddddddddddddddd66ddddddd19444944444444441b319a999999999999a913b1ddddddddddddddd6
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
33bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb33
11333311113333111133331111333311113333111133331111333311113333111133331111333311113333111133331111333311113333111133331111333311
991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa
99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa
99a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99999
99a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99999
99999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99
99999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99
99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
99aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa9999
99aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa9999
99aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa9999
99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999

__gff__
00000000000000010103000000000000000000000000000000040000000000000000000000000b00230300000000000040000000000090000000000000000000030303030301010103000000000000000303030303000000042b03000000000003030323030b0023032203000000000003034090509003030303000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__map__
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000059000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000590000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000063000000000000000000000000000000000000000000000000000000000000000072000000000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000004800000000000000000000000000006300000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000004848484800000000000000000000000000000000000000000000000059000000000000000000000000
00000000000000000000000000000000000000007200000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000b000d000000
00000000000000000000636700000000000000484800000000000000000000000000000000000000000000000000000000000000004041414200000000000000000000000000000000000000000000000000006700000000000000000000000000000000000000000000000000000000000000000000000000001b001d000000
00000000000000000000000000000000000000000000000000000000007200000000000000000000000000000000000000000000005051515200000000000000007474000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001b001d000000
00000000000000000000000000000000000000000000000000000000006763650000000000000000000000000000000000000000005051515200000000000000004042000058585800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000001b001d000000
00000000000067000000000000000000000000000000000000000000000000000000000000000000004344000000000000000000005051515200000000000000006062000000000000000000000000000067636567000000000000000000000000000000000063000000000000000000000000000000000000001b001d000000
00000000000000000045464700000000000000000000000000000000000000000000000048000000005354000000434400000000005051515200000058585800000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000004344000000000000001b001d000000
00000000000000000055565700000000000000000000000000000000004546464700000048000000005354000000535400000000005051515200000000000000000000000000000000000000000074000000000000000000000000000000000000000000000000000000000043440000005354000000000000001b001d000000
0000000067636500005556577300000000000043440000000000000000555656570000004800000000535400000053545858580000606161620000000000000000000000000000000000000040414141420000480000000000000000007300000000000040414141420000005354000000535400000040414141414141414141
0000000000000000005556704142000043440053540000007300000000555656570000744800000000535400000053540000000000480059000000000000000000000000000000000000000050515151764141420000000000730000484848000000000050515151520000005354000000535458000050515151515151515151
0000000000000000005556505152000053547453547400004041414141414141414141414200000000535400000053540000000000480000000000000000000000000000000000000000000050515151515151764141414141414141414141414142000050515151520000005354000000535400000050515151515151515151
4141414141414141414141414141414141414141414200005051515151515151515151515200000000535400000053540000000000480072000000000000000000000000000000000000000050515151515151515151515151515151515151515152000050515151520000005354000000535400000050515151515151515151
5151515151515151515151515151515151515151515200005051515151515151515151515200000000535400000053540000000000404141414258000000000000000000000000000000000050515151515151515151515151515151515151515152000050515151520000005354000000535400000050515151515151515151
494a000000000000494a000000000000494a000000000000494a000000000000494a000000000000494a00000000494a000000000000555656565657000000494a000000000000494a000000000000494a0000000000555656565657000000494a0000000000494a000000000000494a0000494a000000000000494a00000000
000000494a00000000000000494a0000000000494a00000000000000494a0000000000494a00000000000000494a000000494a00000055565656565700000000000000494a0000000000494a00000000000000494a0055565656565700000000000000494a00000000494a00000000000000000000494a00000000000000494a
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005556565656570000000000000000000000000000000000000000000000000000555656565657000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005556565656570000000000000000000000000000000000000000000000000000555656565657000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005556565656570000000000000000000000000000000000000000000000000000555656565657000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005556565656570000000000000000000000000000000000000000000000000000555656565657000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000005556565656570000000000000000000000000000000000000000000000000000555656565657000000000000000000000000000000000000000000000000000000000000000000000000
0000000000000000000000004c4d4e4f0000000000000000000000004c4d4e4f0000000000000000000000004c4d4e4f00000000000055565656565700000000000000004c4d4e4f0000000000000000000000004c4d55565656565700000000000000004c4d4e4f000000000000000000000000000000000000000000000000
000000004c4d4e4f000000005c5e5e5f000000004c4d4e4f000000005c5e5e5f000000004c4d4e4f000000005c5e6e5f000000004c4d5556565656574c4d4e4f000000005c5e5e5f000000004c4d4e4f000000005c5e5556565656574c4d4e4f000000005c5e5e5f000000004c4d4e4f00000000000000000000000000000000
000000005c5e5e5f4c4d4e4f6c5e5e6f000000005c5e5e5f4c4d4e4f6c5e5e6f000000005c5e5e5f4c4d4e4f6c5e6e6f000000005c5e5556565656575c5e5e5f4c4d4e4f6c5e5e6f000000005c5e5e5f4c4d4e4f6c5e5556565656575c5d5e5f4c4d4e4f6c5e5e6f000000005c5e5e5f4c4d4e4f000000000000000000000000
4c4d4e4f6c5e5e6f5c5e5e5f7c6e5e7f4c4d4e4f6c5e5e6f5c5e5e5f7c6e5e7f4c4d4e4f6c5e5e6f5c5e5e5f7c6e6e6f4c4d4e4f6c5e5556565656576c5e5e6f5c5e5e5f7c6e5e7f4c4d4e4f6c5e5e6f5c5e5e5f7c6e5556565656576c5d5e6f5c5e5e5f7c6e5e6f4c4d4e4f6c5e5e6f5c5e5e5f000000004c4d4e4f00000000
5c5e5e5f7c6e5e7f6c5e5e6f6c5e5e6f5c5e5e5f7c6e5e7f6c5e5e6f6c5e5e6f5c5e5e5f7c6e5e7f6c5e5e6f6c5e6e6f5c5e5e5f7c6e5556565656577c6e5e7f6c5e5e6f6c5e5e6f5c5e5e5f7c6e5e7f6c5e5e6f6c5e5556565656577c5d5e7f6c5e5e6f6c5e5e6f5c5e5e5f7c6e5e7f6c5e5e6f000000005c5e5e5f4c4d4e4f
6c5e5e6f6c5e5e6f7c6e5e7f7c5e5d7f6c5e5e6f6c5e5e6f7c6e5e7f7c5e5d7f6c5e5e6f6c5e5e6f7c6e5e7f7c5e6e6f6c5e5e6f6c5e5556565656576c5e5e6f7c6e5e7f7c5e5d7f6c5e5e6f6c5e5e6f7c6e5e7f7c5e5556565656576c5d5e6f7c6e5e7f7c5e5e6f6c5e5e6f6c5e5e6f7c6e5e7f4c4d4e4f6c5e5e6f5c5e5e5f
7c6e5e7f7c5e5d7f6c5e5e6f7c5e5d7f7c6e5e7f7c5e5d7f6c5e5e6f7c5e5d7f7c6e5e7f7c5e5d7f6c5e5e6f7c5e6e6f7c6e5e7f7c5e5556565656577c5e5d7f6c5e5e6f7c5e5d7f7c6e5e7f7c5e5d7f6c5e5e6f7c5e5556565656577c5d5d7f6c5e5e6f7c5e5e6f7c6e5e7f7c5e5d7f6c5e5e6f5c5e5e5f7c6e5e7f6c5e5e6f
6c5e5e6f6c5e5e6f7c5e5d7f6c5e5e6f6c5e5e6f6c5e5e6f7c5e5d7f6c5e5e6f6c5e5e6f6c5e5e6f7c5e5d7f6c5e6e6f6c5e5e6f6c5e5556565656576c5e5e6f7c5e5d7f6c5e5e6f6c5e5e6f6c5e5e6f7c5e5d7f6c5e5556565656576c5d5e6f7c5e5d7f6c5e5e6f6c5e5e6f6c5e5e6f7c5e5d7f6c5e5e6f6c5e5e6f7c6e5e7f
7c5e5d7f7c5e5d7f7c5e5d7f7c5e5d7f7c5e5d7f7c5e5d7f7c5e5d7f7c5e5d7f7c5e5d7f7c5e5d7f7c5e5d7f7c5e6e6f7c5e5d7f7c5e5556565656577c5e5d7f7c5e5d7f7c5e5d7f7c5e5d7f7c5e5d7f7c5e5d7f7c5e5556565656577c5d5d7f7c5e5d7f7c5e5e6f7c5e5d7f7c5e5d7f7c5e5d7f7c6e5e7f7c5e5d7f6c5e5e6f
__sfx__
0004000024071280612b0412d0312d0212d0112d0012d0012d0012d0002d0002d0002a00029000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
100300000b1700c1700c1600915006140051300213000110001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100
010200002f0762f0762f05633006350763507635076350663505635036350262f0063400634006340063400634006340063400000000000000000000000000000000000000000000000000000000000000000000
110e000021772217001d700157001d7720070018700187701a7721d770007001d77000700007001a7001a77018772007001d770007001d77200700247700070021772007001c7001f77200700007001877200700
110e000005175001050010500105091750010500105001050a1750010500105001050b17500105001050010509175001050010500105081750010500105001050717500105001750010502175001050417500105
110e000021772217001d700157001d7720070018700187701a7721d770007001d77000700007001a7001a77018772007001d7700070022772217501f7701d7701c702007001c7001f70200700007001870200700
110e000005175001050010500105091750010500105001050a1750010500105001050b17500105001050c1050c175001050017500105021750010504175001050517500105001750010505175001050010500105
010e0000006750060500605006053662536605006050060500675006050060500605366250060500605006050067500605006051d605376250060500605006050067500605006750060537625006050065536625
110e000021772217001d7001d7701d702007001877018700217721d700007001d77000700007001a70000700207721d77018770007002077200700247001f7701f702007001c7001f70200700007001870200700
110e000021772217001d7001d7701d702007001877018700217721d700007001d77000700007001a70000700207721d77018770007002477200700247001f7001f702007001c7001f70200700007001870200700
110e000021772217001d700157001d7720070018700187701a7721d770007001d77000700007001f7001f770217721d77018770007001a77200700247001d7701d702007001c7001f7020070018700187021a770
110e00002477221700267701d70024772007002677018700247721d700007001d77022770217701f770007001d7720870018700007002070200700247001f7001f702007001c7001f70200700007001870200700
110e000009175001050a175001050c175001050e175001050c1750010509175001050517500105071750c10508175001050c175001050e1750010511175001051317500105111750010510175001050c17500105
110e00000a1750010509175001050c175001051017500105111750010510175001050c17500105091750c10508175001050c1750010511175001050c175001050a175001050e175001050c175001051017500105
110e00000517500105001050010505175001050010500105031750010500105001050317500105001050010502175001050010500105021750010500105001050117500105011050010501175001050410500105
110e00000017500005000050000500005000050000500005000050000500005000050217500005041750000505175000050000500105001750000500005000050517500005000050000505175000050000500005
0c0100003c6703b660390603706034660310602e0502a0502a65025050220401f6401c0401a030170301662012020100200f6100c0100a0100701005610040100101000010000000000000000000000000000000
0002000015170141701317013170131601315015150171601a1601d1501e1401d1501b14019130191201b1101c1101c1101b11018110151100000000000000000000000000000000000000000000000000000000
00050000356702866021660166500b640295502955029550295502655024550225501d5501d550225502455026550285502955029550295402953029520005000050000500005000050000500005000050000500
__music__
01 03040744
00 05060744
00 03040744
00 05060744
00 080c0744
00 090d0744
00 0a0e0744
02 0b0f0744
02 41424344

