pico-8 cartridge // http://www.pico-8.com
version 35
__lua__
--micro mario world
--by barfy

--variables

function _init()
speedrun_mode = false
char = 0

menuitem(1, "mario/luigi😐", function() swapchar() sfx(2) end)
menuitem(2, "quit to title⌂", function() exitmenu() sfx(2) end)
menuitem(3, "skip level➡️", function() skiplevel() sfx(2) end)

won_game = false
timer = 0
anim_time=27
music(0)
palt(14, true)
palt(0, false)
player={
sp=1,
x=14,
y=180,
w=8,
h=8,
flp=false,
dx=2,
dy=1,
max_dx=2,
max_dy=2,
acc=0.2,
boost=3.7,
anim=0,
walking=false,
running=false,
jumping=false,
jumping2=false,
coins=0
}

gravity=0.1
friction=0.9

--camera
cam_x=0
cam_y=0

--map limits
map_start=0
map_end=1024

end

function swapchar()
if char==0 then
char = 3

elseif char==3 then
char = 0
end


end


function exitmenu()
load("mmw title")
end

function skiplevel()
load("mmw4")
end
-->8
--update and draw

function _update()



if (won_game == true) then
player.y =-200
player.dy=0

if btnp(❎)then
load("mmw4")
end

if btnp(🅾️)then
run()
end

end

player_update()
player_animate()

if (timer<0) then
toggle_tiles()
timer=anim_time
end
timer-=1

cam_x=player.x-60
cam_y=player.y-64
if cam_x<map_start then
cam_x=map_start
end

if cam_x>map_end-128 then
cam_x=map_end-128
end

if cam_y<0 then
cam_y=0
end

if cam_y>128 then
cam_y=128
end

camera(cam_x,cam_y)
end

function _draw()
cls(0)

map(0,0)
spr(player.sp,player.x,player.y,player.w/8,player.h/8,player.flp) show_inventory()

if(won_game == true)then

print("you win!",invx+9,50,1)
print("you win!",invx+9,49,8)
print("you win!",invx+9,48,7)

print("⧗: "..timee,invx+2,70,1)
print("⧗: "..timee,invx+2,69,8)
print("⧗: "..timee,invx+2,68,7)

print("❎:next level",invx+2,79,8)
print("❎:next level",invx+2,78,7)
print("🅾️:replay",invx+2,86,8)
print("🅾️:replay",invx+2,85,7)

end
end
-->8
--collisions

function collide_map(obj,aim,flag)
		--obj = table needs x,y,w,h
		--aim = left,right,up,down
		
		local x=obj.x  local y=obj.y
		local w=obj.w  local h=obj.h
		
		local x1=0  local y1=0
		local x2=0  local y2=0
		
		if aim=="left" then
		x1=x-1       y1=y
		x2=x			      y2=y+h-1
		elseif aim=="right" then
		x1=x+w-1     y1=y
		x2=x+w       y2=y+h-1
		elseif aim=="up" then
		x1=x+2       y1=y-1
		x2=x+w-3     y2=y
		elseif aim=="down" then
		x1=x+2         y1=y+h
		x2=x+w-3       y2=y+h
		elseif aim=="center" then
		x1=x+4         y1=y+4
		x2=x+4         y2=y+4
end

--pixels to tiles
x1/=8   y1/=8
x2/=8   y2/=8

if fget(mget(x1,y1), flag)
or fget(mget(x1,y2), flag)
or fget(mget(x2,y1), flag)
or fget(mget(x2,y2), flag) then
return true
else
return false
end
	end
	
	
function is_tile(tile_type,x,y)
tile=mget((player.x/8+0.4),y)
has_flag=fget(tile,tile_type)
return has_flag
end

	function get_coin(xl,yl)

	swap_tile(((player.x/8+0.4)),(player.y/8+0.1),0)
	
	
	end
	
	function swap_tile(x,y)

	tile=mget(1,(1))
	mset(x,y,0)
	end

	
	function break_block(x,y)

	tile=mget(1,(1))
	mset(x,y,100)
	player.coins+=1
	end
	
	function get_qb()

	swap_tile(((player.x/8+0.4)),(player.y/8)-1,tile+1)
	sfx(1,1)
	
	end
	
	function swap_tile(x,y,tileid)

	tile=mget(1,(1))
	mset(x,y,tileid)

	end
	


-->8
--player

function player_update()
--physics
player.dy+=gravity
player.dx*=friction

--controls
if btn(⬅️)then
player.dx-=player.acc
player.running=true
player.flp=true
end

if btn(➡️)then
player.dx+=player.acc
player.running=true
player.flp=falses
end

--slide
if player.running
and not btn(⬅️)
and not btn(➡️)
and not player.falling
and not player.jumping then
player.running=false
end

--jump
if btn(❎)
and player.landed then
sfx(0)

player.dy-=player.boost
player.landed=false
end

--collision up down
if player.dy>0 then
player.falling = true
player.landed = false
player.jumping = false



if(is_tile(5,0,player.y/8-0.2)) then
if(is_tile(3,0,player.y/8-0.2)) then
sfx(2,3)
player.coins+=10
player.dy = 3
get_qb()
end
end

--if(is_tile(2,0,player.y/8+0.4)) then

--get_coin(1,player.y/8+0.4)
--end

if(is_tile(3,0,player.y/8-0.2)) then
player.dy = 3
get_qb()
end


if(is_tile(4,0,player.y/8+0.4)) then
die()

end



if(is_tile(5,0,player.y/8-0.2)) then
sfx(2,3)
player.coins+=1
player.dy = 3 
get_qb()
end

if(is_tile(2,0,player.y/8+0.5)) then
sfx(17)
player.dy = -3.8
end

if(is_tile(2,0,player.y/8-0.15)) then
player.dy = 0
end







if collide_map(player,"down",0) then
	player.landed=true
	player.falling=false
	player.dy=0
	player.y-=(player.y+player.h)%8
end
elseif player.dy<0 then
player.jumping=true
if collide_map(player,"up",1)then
--sfx(1)
player.dy=0
end
end
--collision left right
if player.dx<0 then
if collide_map(player,"left",1) then
player.dx=0
end
elseif player.dx>0 then
if collide_map(player,"right",1) then
player.dx=0
end
end


player.x+=player.dx
player.y+=player.dy

--limit player to map
if player.x<map_start then
player.x=map_start
end
if player.x>984  then
timee = t()
won_game = true
sfx(18)
music(-1)
player.dy=-40
player.dx=-57
invx=(cam_x)+40

end

if player.y>260 then
die()
end

if player.y<0 then
player.dy = 1
end

end


function player_animate()
 if player.jumping then
 player.sp=char+3
 elseif player.running then
 if time()-player.anim>.1 then
 player.anim=time()
 player.sp+=1
 if player.sp>char+2 then
 player.sp=char+1
		end
	end

else
player.sp = char+1
end

end

function die()
player.x=24
player.y=180
if speedrun_mode then
run()
end
sfx(16)
end




-->8
--inventory code

function show_inventory()
invx=(cam_x)+40
invy=(cam_y)

spr(48,invx-40,invy,1,1)
print("  "..player.coins,invx-39,invy+2,1)
print("  "..player.coins,invx-39,invy+1,8)
end
-->8
--animation code
function toggle_tiles()
for x=(player.x/8)-24,(player.x/8)+16 do
for y=0,32 do
if(this_tile(6,x,y))then
animate_tile(x,y)

elseif (this_tile(7,x,y)) then
revert_tile(x,y)

end
end
end
end

function animate_tile(x,y)
	tile=mget(x,y)
	mset(x,y,tile+1)
	end

function revert_tile(x,y)
	tile=mget(x,y)
	mset(x,y,tile-1)
	end
	
function this_tile(tile_type,x,y)
tile=mget(x,y)
has_flag=fget(tile,tile_type)
return has_flag
end


__gfx__
00000000ee7777eeee7777eeee7777eeee7777eeee7777eeee7777eeeeee7eeeeeeeeeeeee11111111111111111111eeee1111eeee1111ee0000000000000000
00000000e782227ee782227ee782227ee7b3337ee7b3337ee7b3337eeeee87eeeeeeeeeee1666666666666666666661ee167761ee1d77d1e0000000000000000
0070070078471fe678471fe678471fe67b471fe67b471fe67b471fe6eeee887eeeeeeeee16dddddddddddddddddddd61167766711d77dd710000000000000000
0007700074fffff674fffff674fffff674fffff674fffff674fffff6eeee8787eeeeeeee16d111111111111111111d6117766771177dd7710000000000000000
00077000e7f0006ee7f0006ee7f0006ee7f0006ee7f0006ee7f0006eeeeee888eeeeeeee16d1dddddddddddddddd1d611766776117dd77d10000000000000000
00700700ee8767eeee8767eee78767eeeeb767eeeeb767eee7b767eeeeee3b87eeeeeeee16d1dddd66dd666ddddd1d61166776611dd77dd10000000000000000
00000000ee7cceeee47cc2eee4ccceeeee7cceeee47cc2eee4ccceeeeeeeeeb3eeee7eee16d1dddddddd666ddddd1d61167766711d77dd710000000000000000
00000000ee442eeeee4eeeeeee42eeeeee442eeeee4eeeeeee42eeeeeeeeeeebeeee87ee16d1dddddddddddddddd1d6117766771177dd7710000000000000000
00000000eeeeeeeeeeeeeeee33333333111111111111111111111111eee7eeeeeeeeeeee16d1ddddddddd6dddd6d1d611766776117dd77d10000000000000000
00000000eeeeeeeeeee1eeee33333333166767777777777777767661ee78eeeeeeeeeeee16d1d66dddddd6dddd6d1d61166776611dd77dd10000000000000000
00000000ee1ee1ee1eeeeeee33333333166767777777777777767661e788eeeeeeeeeeee16d1d66ddddddddddddd1d61167766711d77dd710000000000000000
000000001eee11111111ee1e333333331667677777777777777676617878eeeeeeeeeeee16d1d66ddddddddddddd1d6117766771177dd7710000000000000000
000000001111bbbbbbbb111133333333111111111111111111111111888eeeeeeeeeeeee16d1dddddd66ddddd66d1d611766776117dd77d10000000000000000
00000000bbbb3b3bb3b3bbbb33333333e1d6d6dddddddddddd6d6d1e883beeeeeeeeeeee16d1dddddd66ddddd66d1d61166776611dd77dd10000000000000000
00000000b3b3b333333b3b3b33333333ee11111111111111111111eeb3eeeeeeeee7eeee16d1d6dddd66ddddd66d1d61167766711d77dd710000000000000000
00000000333333333333333333333333ee1551eeee1551eeee1551ee3eeeeeeeee78eeee16d1d6dddddddddddddd1d6117766771177dd7710000000000000000
00000000000000000000000000000000111111111111111111111111000000000000000016d1dddddddddddddddd1d6100000000000000000000000000000000
0000000000000000000000000000000015ddd5d5555555555d5ddd51000000000000000016d1ddddd666dddddddd1d6100000000000000000000000000000000
0000000000000000000000000000000011ddd5d1155555511d5ddd11000000000000000016d1ddddd666dd66dddd1d6100000000000000000000000000000000
00000000000000000000000000000000161dd51661555516615dd161000000000000000016d1dddddddddddddddd1d6100000000000000000000000000000000
00000000000000000000000000000000161dd51661555516615dd161000000000000000016d111111111111111111d6100000000000000000000000000000000
0000000000000000000000000000000011ddd5d1155555511d5ddd11000000000000000016dddddddddddddddddddd6100000000000000000000000000000000
0000000000000000000000000000000015ddd5d5555555555d5ddd510000000000000000e1666666666666666666661e00000000000000000000000000000000
000000000000000000000000000000001111111111111111111111110000000000000000ee11111111111111111111ee00000000000000000000000000000000
ee9999ee000000000000000000000000ee1111eeee1111eeee1111ee000000000000000000000000000000000000000000000000000000000000000000000000
e9aaaa9e000000000000000000000000ee1dd1eeee1dd1eeee1dd1ee000000000000000000000000000000000000000000000000000000000000000000000000
e9a99a9e000000000000000000000000ee1111eeee1111eeee1111ee000000000000000000000000000000000000000000000000000000000000000000000000
e9a99a9e000000000000000000000000eee11eeeeee11eeeeee11eee000000000000000000000000000000000000000000000000000000000000000000000000
e9a99a9e000000000000000000000000eee11eeeeee11eeeeee11eee000000000000000000000000000000000000000000000000000000000000000000000000
e9aaaa9e000000000000000000000000e1111eeeee1111eeeee1111e000000000000000000000000000000000000000000000000000000000000000000000000
e199991e0000000000000000000000001d66d1eee1d66d1eee1d66d1000000000000000000000000000000000000000000000000000000000000000000000000
ee1111ee0000000000000000000000001dddd1eee1dddd1eee1dddd1000000000000000000000000000000000000000000000000000000000000000000000000
ee11111111111111111111ee1111111111111111eeeeeeeeeeee111100000000e111111eeeeeddddddddeeee11111111eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
e1666666666666666666661e19aaa7aaaa9aaa9111111111111119910000000017666761eddd77777777ddde1cc77cc1eeeeeeeeeeeeeeeeeeeeeeeeeeeeeeee
16dddddddddddddddddddd6119aaa7aaaa9aa9919999999999991aa10000000016676661d77777777777776d1c7777c1eeeeeeeeeeeddddddddddeeeeeeeeeee
16d111111111111111111d611111111111111111a9a9a9a9a9a91aa100000000167766d1d77777177177776d17777771eeeeeeeeddd6666666666dddeeeeeeee
16d1dddddddddddddddd1d61e199aa7aa9a9a91eaaaaaaaaaaaa1aa1000000001d6666d1d77777177177776d17c77c71eeeeeedd6667777777777777ddeeeeee
16d1dddd66dd666ddddd1d61e19aaa7aa9aa991eaaaaaaaaaaaa177100000000166dd6d1d66677077077666d1cc77cc1eeeeed66777777777777777777deeeee
16d1dddddddd666ddddd1d61e199aa7aa9aaa91e7777777777771aa1000000001dddddd1eddd66666666ddde1cc77cc1eeeed6777777777777777777777deeee
16d1dddddddddddddddd1d61e19aaa7aa9aa991eaaaaaaaaaaaa1aa100000000e111111eeeeeddddddddeeee11111111eeed677777777777777777777777deee
16d1ddddddddd6dddd6d1d61e199aa7aa9aaa91eaaaaaaaaaaaa1aa100000000eeeeeeeee222222ee111111e00000000eed67777777777777777777777777dee
16d1d66dddddd6dddd6d1d61e19aaa7aa9aa991e9999999999991aa100000000eeeeeeee249999421444444100000000eed67777777777777777777777777dee
16d1d66ddddddddddddd1d61e199aa7aa9a9a91eaaaaaaaaaaaa199100000000eeeeeeee277997721444444100000000ed6777777777777777777777777777de
16d1d66ddddddddddddd1d61e19aaa7aa9aa991ea9aaa9aaaaa91aa100000000eeeeeeee297979721144441100000000ed6777777777777777777777777777de
16d1dddddd66ddddd66d1d61e199aa7aa9aaa91e9a9a9a9a9a9a1aa100000000e11ee11e297979721414414100000000ed6777777777777777777777777777de
16d1dddddd66ddddd66d1d61e19aaa7aa9aa991e99999999999919a10000000017b117b1297977921444444100000000ed6777777777777777777777777777de
16d1d6dddd66ddddd66d1d61e199aa7aa9a9a91e1111111111111991000000001b311b31249999421444444100000000ed6777777777777777777777777777de
16d1d6dddddddddddddd1d61e19aaa7aa9aa991eeeeeeeeeeeee111100000000e11ee11ee222222ee111111e00000000ed6777777777777777777777777777de
16d1dddddddddddddddd1d61e111111ee111111ee111111eeeeeeeeee111111ee111111eeeeeeeeee111111e00000000ed677777eeeeeeee77777777777777de
16d1ddddd666dddddddd1d61149779411444444114999941eeeeeeee1499994114444441eeeeeeee1444444100000000ed677777eeeeeeee77777777777777de
16d1ddddd666dd66dddd1d61197997911444444119999991eeeeeeee1999999114444441eeeeeeee1444444100000000ed677777eeeeeeee77777777777777de
16d1dddddddddddddddd1d61199977911144441119199191e111111e1919919111444411eeeeeeee1144441100000000ed677777eeeeeeee77777777777777de
16d111111111111111111d61199779911414414119199191141991411919919114144141eeeeeeee1414414100000000ed677777eeeeeeee77777777777777de
16dddddddddddddddddddd61199999911444444119999991e111111e1999999114444441eeeeeeee1444444100000000ed677777eeeeeeee77777777777777de
e1666666666666666666661e149779411444444114999941eeeeeeee1499994114444441eeeeeeee1444444100000000ed677777eeeeeeee77777777777777de
ee11111111111111111111eee111111ee111111ee111111eeeeeeeeee111111ee111111eeeeeeeeee111111e00000000ed677777eeeeeeee77777777777777de
4411111111111144eeeeeeeeeeee5eee1eeeeee1eee11eeedddd1d6116d1ddddddddddddddddddddeea9a9eeeea9a9eeed6777770000000000000000777777de
41bbbbbbbbbbbb14eeeeeeeeeee575ee11eeee12ee1211eedddd1d6666d1dddddddddddddddddddd9a11119a9a11119aed6777770000000000000000777777de
1bbbb333333bbbb1eeeeeeeeee55555e211ee121e121111edddd1dddddd1dddddddddddddddddddde111111ee111111eed6777770000000000000000777777de
1bbb31111113bbb1eeeeeeeeee28882e21111211e111111edddd11111111dddddddddddddddddddd12111111e111111eed6777770000000000000000777777de
1bb3199999913bb1eeeeeeee1178182212111111e111111edddddddddddddddd1111dddddddd111121111211e111111eed6777770000000000000000777777de
1bb3199999913bb1eeee5eee17718822e111111ee111111eddddddddddddddddddd1dddddddd1ddd211ee121e121111eed6777770000000000000000777777de
1bb3199999913bb1eee575eee27888229a11119a9a11119adddddddddddddddd66d1dddddddd1d6611eeee12ee1211eeed6777770000000000000000777777de
1b319999999913b1ee55555eee278822eea9a9eeeea9a9eedddddddddddddddd16d1dddddddd1d611eeeeee1eee11eeeed6777770000000000000000777777de
__label__
669999dddddd66666666666666666666666666666666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666
69aaaa977888ddd66666666666666666666666666666666666666666666666666ddd77777777ddd6666666666666666666666666666666666666666666666666
d9a99a977818776d666666666666666666666666666666666666666666666666d77777777777776d666666666666666666666666666666666666666666666666
d9a99a977878776d666666666666666666666666666666666666666666666666d77777177177776d666666666666666666666666666666666666666666666666
d9a99a977878776d666666666666666666666666666666666666666666666666d77777177177776d666666666666666666666666666666666666666666666666
d9aaaa977888666d666666666666666666666666666666666666666666666666d66677077077666d666666666666666666666666666666666666666666666666
619999166111ddd66666666666666666666666666666666666666666666666666ddd66666666ddd6666666666666666666666666666666666666666666666666
661111dddddd66666666666666666666666666666666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666
6666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666666666666666dddddddd66666666666666666666
6666666666666666666666666ddd77777777ddd6666666666666666666666666666666666666666666666666666666666ddd77777777ddd66666666666666666
666666666666666666666666d77777777777776d66666666666666666666666666666666666666666666666666666666d77777777777776d6666666666666666
666666666666666666666666d77777177177776d66666666666666666666666666666666666666666666666666666666d77777177177776d6666666666666666
666666666666666666666666d77777177177776d66666666666666666666666666666666666666666666666666666666d77777177177776d6666666666666666
666666666666666666666666d66677077077666d66666666666666666666666666666666666666666666666666666666d66677077077666d6666666666666666
6666666666666666666666666ddd66666666ddd6666666666666666666666666666666666666666666666666666666666ddd66666666ddd66666666666666666
6666666666666666666666666666dddddddd6666666666666666666666666666666666666666666666666666666666666666dddddddd66666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661111116
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666617666761
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666616676661
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666167766d1
6666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661d6666d1
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666166dd6d1
6666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661dddddd1
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666661111116
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666611111166111111666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666149779411499994166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666197997911999999166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666199977911919919166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666199779911919919166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666199999911999999166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666149779411499994166666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666611111166111111666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddd66666666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddd66666666
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddd666666
66666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddddd66666
6666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddddddd6666
666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666666dddddddddddddddddddddddddd666
66666666666666666666666666666666666666666666666661111116666666666666666666666666666666666666666666dddddddddddddddddddddddddddd66
66666666666666666666666666666666666666666666666614999941666666666666666666666666666666666666666666dddddddddddddddddddddddddddd66
6666666666666666666666666666666666666666666ddddd1999999166666666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666666666dddddddd1919919166666666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
66666666666666666666666666666666666666dddddddddd19199191dd666666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666666ddddddddddd19999991ddd66666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
666666666666666666666666666666666666dddddddddddd14999941dddd6666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
66666666666666666666666666666666666dddddddddddddd111111dddddd666666666666666666666666666666666666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666dddddddddddddddddddddddddddd66666666666611111111111111111111666dddddddddddddddddddddddddddddd6
6666666666666666666666666666666666dddddddddddddddddddddddddddd666666666661bbbbbbbbbbbbbbbbbbbb166dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666666661bbbb33333bbbb33333bbbb16dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666666661bbb3111113333111113bbb16dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666666dd1111144444111199444111116dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd666666ddd1944444444944499444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd66666dddd1944444444944444444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd6666ddddd1944444444944444444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd666dddddd1944444444444944444444916dddddddddddddddddddddddddddddd6
666666666666666666666666666666666dddddddddddddddddddddddddddddd666dddddd1944499444444944499444916dddddddddddddddddddddddddddddd6
66666666666dddddddddd666666666666dddddddddddddddddddddddddddddd66ddddddd1944499444444444499444916dddddddddddddddddddddddddddddd6
66666666dddddddddddddddd666666666dddddddddddddddddddddddddddddd66ddddddd1944499444444444499444916dddddddddddddddddddddddddddddd6
666666dddddddddddddddddddd6666666dddddddddddddddddddddddddddddd66ddddddd1944444444994444444444916dddddddddddddddddddddddddddddd6
66666dddddddddddddddddddddd666666dddddddddddddddddddddddddddddd66ddddddd1944444444994444444444916dddddddddddddddddddddddddddddd6
6666dddddddddddddddddddddddd66666dddddddddddddddddddddddddddddd66ddddddd1944494444994444449444916dddddddddddddddddddddddddddddd6
666dddddddddddddddddddddddddd6666dddddddddddddddddddddddddddddd66ddddddd1944494444444444449444916dddddddddddddddddddddddddddddd6
66dddddddddddddddddddddddddddd666111111dd111111dd111111dddddddd66ddddddd1944444444444944444444916ddd5dddddddddddddddddddddddddd6
66dddddddddddddddddddddddddddd66149999411497794114999941ddddddd66ddddddd1944499444444944499444916dd575ddddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6199999911979979119999991ddddddd66ddddddd1944499444444444499444916d55555dddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6191991911999779119199191ddddddd66ddddddd1944499444444444499444916d49994dddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6191991911997799119199191ddddddd66ddddddd19444444449944444444449111791944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6199999911999999119999991ddddddd66ddddddd19444444449944444444449117719944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd6149999411497794114999941ddddddd66ddddddd19444944449944444494449164799944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd66111111dd111111dd111111dddddddd66ddddddd1944494444444444449444916d479944ddddddddddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444444444449444411111111111111111111ddddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd194449944444494441bbbbbbbbbbbbbbbbbbbb1dddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bbbb33333bbbb33333bbbb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bbb3111113333111113bbb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444444449944441bb31999991111aa99913bb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444444449944441bb3199999a999aa99913bb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444944449944441bb3199999a9999999913bb1ddddddddddddddd6
6dddddddddddddddddddddddddddddd66dddddddddddddddddddddddddddddd66ddddddd19444944444444441b31999999a99999999913b1ddddddddddddddd6
6dddddddddddddddddddddddddd8f8d66dddddddddddddddddddddddddddddd66ddddddd19444444444449441b31999999999a99999913b1ddddddddddddddd6
6ddddddddddddddddddddddddd8222266dddddddddddddddddddddddddddddd66ddddddd19444994444449441b319aa999999a999aa913b1ddddddddddddddd6
6dddddddddddddddddddddddd8471fd66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bb31aa9999999999aa13bb1ddddddddddddddd6
6dddddddddddddddddddddddd4fffff66dddddddddddddddddddddddddddddd66ddddddd19444994444444441bb31aa9999999999aa13bb1ddddddddddddddd6
6dddddddddddddddddddddddddf000d66dddddddddddddddddddddddddddddd66ddddddd19444444449944441bb3199999aa999999913bb1ddddddddddddddd6
6ddddddddddddddddddddddddd8cadd66dddddddddddddddddddddddddddddd66ddddddd19444444449944441b31999999aa9999999913b1ddddddddddddddd6
6ddddddddddddddddddddddddd7ccdd66dddddddddddddddddddddddddddddd66ddddddd19444944449944441b319a9999aa999999a913b1ddddddddddddddd6
6ddddddddddddddddddddddddd442dd66dddddddddddddddddddddddddddddd66ddddddd19444944444444441b319a999999999999a913b1ddddddddddddddd6
11111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111111
bbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbbb
33bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb3333bbbb33
11333311113333111133331111333311113333111133331111333311113333111133331111333311113333111133331111333311113333111133331111333311
991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa991111aa
99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa99a999aa
99a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99999
99a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99999
99999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99
99999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a9999999a99
99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999
99aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa9999
99aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa9999
99aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa999999aa9999
99999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999999

__gff__
00000000000000508000000000000000001010100101015080000000000000000001010100000000230000000000000040000000000000000000000000000000030303030303030103000007000000000303030303030300042b03000000000003030323030b0023032303000000000003034090509003030303509000000000
0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__map__
00000000000000000000005051515151511a1a1a1a1a1a1a1a1a1a1a1a1b0000000000353500000000005051515151515151515151515151515200000000005051515151515151515151515151515151515151515200000000350000350000003500003500000035000000350000003500000000000000000000000000000000
5900000000000000000000505151515151591a1a1a1a1a1a1a1a1a1a1a1b0000000000353500000000005051515151515151515151515151515259000000005051515151515151515151515151515151515151515200000000350000350000003500003500000035000000350000003500000000000000000000000000000000
00000000000000000000005051515151511a1a1a1a1a1a1a1a1a1a1a1a1b0000000000353500000000005051515151515151515151515151515200000000005051515151515151515151515151515151515151515200000000350000350000003500003500000035000000350000003500000000000000000000000000000000
00000000000000000000005051515151511a1a1a1a1a1a1a1a1a1a1a1a1b00000000003535006363000050515151515151515151515151515152000000000050515151515151515151515151517961617851515152000000003500003500000035000035000000350000003500000035000000000000000000000c000d000000
00000000000000000000005051515151515151515151515151515151515200000000003535000000000050515151515151515151515151515152000000000050515151515151515151515151515200355051515152000000003500003500000035000035000000350000003500000035000000000000000000001c001d000000
00000818071700000000006061616161616161616161616161616161616200000000003535000000000050515151515151515151515151515152000000000050515151515151515151515151515200355051515152000000003500003500000035000035000000350000003500000035000000000000000000001c001d000000
434443444344000000000035000000000035000000000035004b4b4b4b4b00000000003535000000007450515151515151517961616161616162000000000050515151515151515151515151515200355051515152000000003500003500000035000035000000350000003500000035000000000000000000001c001d000000
41414141414200000000003500000000003500000000003500000000000000000000003535000000001450515151515151515200000035000035000000000050515151515151515151515151515200356061616162000000003500003500000035000035000000350000003500000035000000000000000000001c001d000000
51515151515200000000003500000000002425252525252600000000000000000000003535000000003550515151515151515200000035000035690000000050515151515151515151515151515200350000000000000000003500003500000035000035000000350000003500000043440000000000000000001c001d000000
51515151515200001416003500000000003500000000003500000000000000000000003535000000004850515151515151515200000035000035000000000060616161616161616161785151515200350000000000000000003500003500000035000035000000350000003573000053540000000000000000001c001d000000
6161616161620000000000350000000000350000000000350000000000000000000000353500000000005051515151515151520000003500003500000000003500350000000000003560616161620035000000000000006300350000350000003500003500000035000000484800005354000000000000141515151515151515
0035000035000000000000350000000000350000007300350000000000000000000000434400000000005051515151515151520000003500003500000000003500350000000000003500000000000035000000007300000000350000350000003500003500000035000000484800005354000000000000242525252525252525
0035000035000000000000350000000014154041414141414142111211121112111211535400000000005051515151515151520000003500003500000000003500350000000000003500000000000035000014151516000000350000350000003500003500000035000000000000005354000000000000242525252525252525
0024252526000000000000350000000024255051515151515152131313131313131313535400000000005051515151515151520000003500003500740000003500350000000000003500000000000035000024252526000000350000350000003500004344000048480000000000005354000000000000242525252525252525
0035000035000000000000350000000024255051515151515152131313131313131313535415160000005051515151515151520000004b4b4b4b4b4b4b4b4b4b00350000434400003500000000000035000034353536000000350000350000003500005354000048480000000000005354000000000000242525252525252525
0035000035000000000000350000000024255051515151515152131313131313131313535400350000005051515151515151520000003500350000000000003500350000535400003500000000000040414141414141414141420000350000003500005354000000000000000000005354000000000000003500000000003500
0035000035000000000000350073000034355051515151515152131313131313131313535400350000005051515151515151520000003500350000000000003500350000535474003500000000000050515151515151515151520000350000003500005354000000000000000000005354000000000000003500000000003500
0067676365000063000000404141414141417751515151515152131313131313131313535400350014156061616161616161620000003500350000000000004041414141414141414142000000000050515151515151515151520000350000004800005354000000000000000000005354000000000000003500000000003500
00350000350000000000005051515151515151515151515151521313131313131313135354003500350000007b00007b0000000000003500350000000000005051515151515151515152121112111250515151515151515151520000480000000000005354000000000000000000005354000000000000003500000000003500
0035000035000000000000505151515151515151515151515152131313131313131313535400350035000000000000000000000000003500350000000000005051515151515151515152131313131350515151515151515151520000000000000000005354000000000000000000005354000000000000003500000000003500
0035000035000000141516505151515151515151515151515152131313131313131313535400350035000000000000000000001415151500350000000000005051515151515151515152131313131350515151515151515151520000000000000000005354000000000000000000005354000000000000003500000000003500
0035000035000000242525505151515151515151515151515152131313131313131313535425252526000000000000000000002425252600350000000000005051515151515151515152131313131350515151515151515151520000000000000000005354000000000000000000005354000000000000003500000000003500
4546000035000000350717505151515151515151515151515152131313131313131313535400350000000000000000000000002425252600350000000000005051515151515151515152131313131350515151515151515151520000000000000000005354000000000000000000005354000000000000003500000000003500
5556000035000000354344505151515151515151515151515152131313131313131313535400350000000000000000000000002425252600350000000000005051515151515151515152131313131350515151515151515151520000000000000000005354000000000000000000005354000000000000003500000000003500
0035000035000000345354505151515151515151515151515152131313131313131313535415160000000000000000000000002425252600350000000000005051515151515151515152131313131350515151515151515151520000000000000000005354000000000000000000005354000000000000003500000000003500
4141414141414141414141775151515151515151515151515152131313131313131313535400000000000000000000000000002425252600350000000000005051515151515151515152131313131350515151515151515151520000000000480000005354000000000000000000005354000000000000003500000000003500
5151515151515151515151515151515151515151515151515152131313131313131313535400000000000000000000000000002425252643440000000000005051515151515151515152131313131350515151515151515151525900000000000000005354000000000000000000005354000000000000003500000000003500
5151515151515151515151515151515151515151515151515152131313131313131313535400000000000000000000000000002425252653541112111211125051515151515151515152131313131350515151515151515151520000000000000000005354000000000000000000005354000000000000003500000000003500
5151515151515151515151515151515151515151515151515152131313131313131313535400005858585800000000000043442425252653541313131313135051515151515151515152131313131350515151515151515151520000000000000000005354000000000000000000005354000000000000003500000000003500
5151515151515151515151515151515151515151515151515152131313131313131313535411121112111211121112111253542425252653541313131313135051515151515151515152131313131350515151515151515151520000000000000000005354000000000000000000005354000000000000003500000000003500
5151515151515151515151515151515151515151515151515152131313131313131313535413131313131313131313131353542425252653541313131313135051515151515151515152131313131350515151515151515151520000000000000000005354000000000000000000005354000000000000003500000000003500
5151515151515151515151515151515151515151515151515152131313131313131313535413131313131313131313131353542425252653541313131313135051515151515151515152131313131350515151515151515151524800000000000000005354000000000000000000005354000000000000003500000000003500
__sfx__
0004000024071280612b0412d0312d0212d0112d0012d0012d0012d0002d0002d0002a00029000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
100300000b1700c1700c1600915006140051300213000110001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100001000010000100
010200002f0762f0762f05633006350763507635076350663505635036350262f0063400634006340063400634006340063400000000000000000000000000000000000000000000000000000000000000000000
291a0000211772115221132211221d1721d1521d132181721a1741d1711d1621d1521d1421d1201d1201a17018172151611516315150151421513015120151101917219152191501d1721d1521d1522117221152
001a0000055720556205542055220757207562075420752208572085620854208522075720756207542075220a5720a5620a5420a522005720056200542005220457204562045420452208572085620854208522
281a00001f1771f1521f1321f1221d1721d1521d1321c1721c1741917118162181521814218120181201817015172151611516315150151421513015120151101317213162131501314213132131221311213112
001a00000757207562075420752205572055620554205522045720456204542045220157201562015420152202572025620256202562025520255202542025420254202532025320253202522025220251202512
001a0000006750060500605006053663536605006050060500675006050060500605366350060500605006050067500605006051d605376350060500605006050067500605006750060537635006050067536635
001a000005a7205a6205a4205a2207a7207a6207a4207a2208a7208a6208a4208a2207a7207a6207a4207a2208a7208a6208a4208a2208a720aa620ba420ca220da720fa620fa420fa220da720ba6209a4208a22
281a00001f1721f1521f1321f1222217222152221321c1721c17419171181621815218142181701d1501d1701a1721a1611a1631a1601a1521a1501a1401a1401a1421a1321a1301a1221a1221a1121a1121a112
110e000021772217001d700157001d7720070018700187701a7721d770007001d77000700007001f7001f770217721d77018770007001a77200700247001d7701d702007001c7001f7020070018700187021a770
110e00002477221700267701d70024772007002677018700247721d700007001d77022770217701f770007001d7720870018700007002070200700247001f7001f702007001c7001f70200700007001870200700
110e000009175001050a175001050c175001050e175001050c1750010509175001050517500105071750c10508175001050c175001050e1750010511175001051317500105111750010510175001050c17500105
110e00000a1750010509175001050c175001051017500105111750010510175001050c17500105091750c10508175001050c1750010511175001050c175001050a175001050e175001050c175001051017500105
110e00000517500105001050010505175001050010500105031750010500105001050317500105001050010502175001050010500105021750010500105001050117500105011050010501175001050410500105
110e00000017500005000050000500005000050000500005000050000500005000050217500005041750000505175000050000500105001750000500005000050517500005000050000505175000050000500005
0c0100003c6703b660390603706034660310602e0502a0502a65025050220401f6401c0401a030170301662012020100200f6100c0100a0100701005610040100101000010000000000000000000000000000000
0002000015170141701317013170131601315015150171601a1601d1501e1401d1501b14019130191201b1101c1101c1101b11018110151100000000000000000000000000000000000000000000000000000000
00060000356702866021660166500b640295502955029550295502655024550225501d5501d550225502455026550285502955029550295402953029520005000050000500005000050000500005000050000500
001a000006831068410785108851098410a841098310883107831068410684108841098410a841098410785107851088410a8310a8410a8510985108841088310984109851098510984108841078310783106841
__music__
01 03040744
00 05060744
00 03040753
02 09060744
00 45045344
00 45065344
00 0a0e0744
02 0b0f0744
02 41424344

